Welcome

Welcome to Release Documents

This is the introductory page of the online Release Documents for Oracle Imaging and Process Management (Oracle I/PM). This documentation supports Imaging, Process, Web, ERP Integration Suite and Software Development Kit (SDK).

This help file contains release documents. If you have questions which are not addressed in these topics see the online help files as well as the Installation and Upgrade MS Word documents or contact your system administrator for technical support.

Contents

The Release Notes and Version Control topics include Release Note information about platform, version and limits information for the Oracle Imaging and Process Management product. Exceptions regarding the ERP Integration Suite and SDK are noted in the Release Note topics specific to those portions of the product.

The Release Documents help file includes information about New Features, Known Issues and Resolved Issues for the current release. Versions of this file that accompany a minor release may also include some historical information about previous versions.

The Admin.PDF help file (installed with GenCfg and servers) include various information that an administrator might find useful when installing or configuring an Oracle Imaging and Process Management installation as well as when tuning an installation.

Printing Instructions

Individual topics in the Help file may be printed. So may each of the headings with all linked sub topics or the entire document.

To begin, view the entire table of contents. Viewing the fully expanded table of contents, you may select the topics you wish to print.

To Print One Topic

  1. Select the desired topic.

  2. Click Print. The Print Topics dialog displays.

  3. Select the Print the Selected Topic button.

  4. Click OK. The Print dialog displays.

  5. Click Print.

To print one of the headings and all its sub topics

  1. Select the desired heading in the Table of Contents.

  2. Click Print. The Print Topics dialog displays.

  3. Select the Print the Selected Topic button.

  4. Click OK. The Print dialog displays.

  5. Select the second tab, Options, select the checkbox to Print all Linked Documents.

  6. Click Print.

NOTE
If the focus is on the topic page and the option is selected to print all linked pages, some topic pages may print more than one time, depending on how the links on the pages are defined. It is better to have the focus on the Table of Contents when attempting to print groups of pages.


Release Notes Home Page

Oracle® Imaging and Process Management

Release Documents
Version 10.1.3.6

March 2011

Oracle

Oracle Imaging and Process Management Release Notes, Release 10.1.3.6

Copyright © 1998, 2011, Oracle. All rights reserved.

Primary Author: Amy Willard

The Programs (which include both the software and documentation) contain proprietary information; they are provided under a license agreement containing restrictions on use and disclosure and are also protected by copyright, patent, and other intellectual and industrial property laws. Reverse engineering, disassembly, or decompilation of the Programs, except to the extent required to obtain interoperability with other independently created software or as specified by law, is prohibited.

The information contained in this document is subject to change without notice. If you find any problems in the documentation, please report them to us in writing. This document is not warranted to be error-free. Except as may be expressly permitted in your license agreement for these Programs, no part of these Programs may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose.

If the Programs are delivered to the United States Government or anyone licensing or using the Programs on behalf of the United States Government, the following notice is applicable:

U.S. GOVERNMENT RIGHTS Programs, software, databases, and related documentation and technical data delivered to U.S. Government customers are "commercial computer software" or "commercial technical data" pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the Programs, including documentation and technical data, shall be subject to the licensing restrictions set forth in the applicable Oracle license agreement, and, to the extent applicable, the additional rights set forth in FAR 52.227-19, Commercial Computer Software--Restricted Rights (June 1987). Oracle USA, Inc., 500 Oracle Parkway, Redwood City, CA 94065.

The Programs are not intended for use in any nuclear, aviation, mass transit, medical, or other inherently dangerous applications. It shall be the licensee's responsibility to take all appropriate fail-safe, backup, redundancy and other measures to ensure the safe use of such applications if the Programs are used for such purposes, and we disclaim liability for any damages caused by such use of the Programs.

Oracle, JD Edwards, PeopleSoft, and Siebel are registered trademarks of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.

The Programs may provide links to Web sites and access to content, products, and services from third parties. Oracle is not responsible for the availability of, or any content provided on, third-party Web sites. You bear all risks associated with the use of such content. If you choose to purchase any products or services from a third party, the relationship is directly between you and the third party. Oracle is not responsible for: (a) the quality of third-party products or services; or (b) fulfilling any of the terms of the agreement with the third party, including delivery of products or services and warranty obligations related to purchased products or services. Oracle is not responsible for any loss or damage of any sort that you may incur from dealing with any third party.


Version Overview

Patch Set Notes

This section contains certification and limitation information that has changed since the initial release of I/PM 10gR3 (version 7.7) in May 2007. Additional information on these topics can be obtained by contacting Oracle I/PM Customer Service.

Oracle Imaging and Process Management patch set release 10.1.3.6

I/PM 10.1.3.6 patch set contains patches and fixes of the 10.1.3.5 release plus the additional patches and fixes that have been published since then.

New Certifications and Features

I/PM 10.1.3.6 has been tested against numerous new platforms and has been certified to work with:

  • Microsoft SQL Server 2008
  • Oracle Database 11.2
  • Oracle 11.1.0.6 ODBC driver and OLE DB Provider
  • I/PM client on Microsoft Windows 7
  • Web client with Microsoft Internet Explorer 8
  • I/PM Services running on a 64-bit edition of Microsoft Windows 2008 Server
  • Kofax 8.0 and 9.0 compatibility
  • Support for Microsoft Office 2007 documents

Refer to the System Requirements and Supported Platforms for Oracle Imaging and Process Management 10gR3 document at http://www.oracle.com/technetwork/middleware/content-management/downloads/ipm-certification-matrix-129289.pdf

Database Setting Notes

ODBC Drivers

When using an Oracle Database with ODBC driver version 11.1.0.6 and higher the Bind Number as Float option must be enabled to ensure proper operation with float fields. To enable this option go to each of the I/PM servers and follow these steps:

  1. Click Start – Programs – Administrative Tools – Data Sources (ODBC)
  2. Highlight the data source the I/PM services are using and click Configure
  3. Click the Workaround tab
  4. Check the "Bind NUMBER As FLOAT" option
  5. Save the changes
Cursor Sharing

In order to avoid cache errors, cursor shaving issues and prevent migration issues between database versions 9i and 10g Oracle recommends that administrators set the Cursor Sharing setting to exact on their I/PM systems. Cursor Sharing can be set by running the command: alter system set CURSOR_SHARING=EXACT scope=both;

Expanded I/PM Tiff Support

The requirement for Group IV tiff image widths must be evenly divisible by 8 has been removed. I/PM has been tested with a wide range of Group IV tiffs and can view Group IV tiffs of various widths.

Restirctions in 10.1.3.6

  • ABBYY 6.0 is no longer supported in I/PM 10.1.3.6
  • Optical devices are not supported when running I/PM in a virtual machine
  • The Oracle ODBC driver 11.1.0.7 and newer are not supported. There is an incompatibility between the I/PM system and Oracle drivers that will prevent the system from functioning.

Oracle Imaging and Process Management patch set release 10.1.3.5 July 2009

The I/PM 10.1.3.5 patch set release contains the I/PM 10.1.3.3.2 patch set release (available November 2007) and a roll-up of all public patches created since that delivery, tested and certified as a single product baseline.

Database Platforms

Oracle I/PM 10.1.3.5 is certified and supported with Oracle Database version 11.1.0.7 using 10.2.0.4 client drivers. See the I/PM certification documentation on the Oracle Technology Network web site for additional information.

Oracle I/PM 10.1.3.5 is not supported with Microsoft SQL Server 2008. This certification will be added in a future patch set release.

Development Environment

As of April 8, 2008 Microsoft has concluded support for Visual Basic 6.0. We understand that many I/PM customers continue to use Visual Basic with the I/PM SDK. Oracle will provide best efforts to support this environment but issues may arise with Visual Basic integrations that cannot be addressed by the I/PM product development group.

Operating Systems

Oracle I/PM 10.1.3.5 is certified and supported on Microsoft Windows 2008 Server SP 2 with the following limitations:

  • The I/PM web applications which include; Web Express, I/PM Web, web services, and the Dashboard are not supported on Windows 2008 Server or IIS 7.0.
  • The use of optical and CD-R storage devices is not supported on Windows 2008 Server

Third Party Products

  • The I/PM OCR Server now uses version 9.0 of the ABBYY FineReader engine
  • The I/PM Storage Server now uses version 3.2 Patch 4 of the EMC Centera programming interfaces
  • The I/PM Fax Server now uses version 6.0.0 of the Brooktrout programming interfaces

Notes

The next generation of the I/PM ERP business process automation technology is now available. The new product component is called the Application eXtension Framework (AXF). The product is built in Java and leverages the Oracle BPEL workflow product now available with I/PM. Financial solutions for Oracle eBusiness Suite are available today and PeopleSoft and JD Edwards solutions will be available in a future release. Oracle recommends customers use AXF instead of the I/PM 10gR3 ERP Integration Suite (EIS), though EIS will continue to be supported with the I/PM 10gR3 baseline.

For customers that wish to implement the I/PM OCR capabilities; Oracle no longer installs or distributes the ABBYY FineReader engine files with the I/PM product media. Please contact ABBYY directly at sales@abbyyusa.com to obtain FineReader licenses and the FineReader engine software that has been created specifically for use with the Oracle I/PM product. The ABBYY software must be separately installed and configured on the I/PM OCR server machine.

The I/PM 10.1.3.5 patch set only integrates with the ABBYY FineReader 9.0 engine. Existing I/PM customers that wish to continue using the ABBYY FineReader 6.0 engine that shipped with previous versions of I/PM will need to contact Oracle I/PM Customer Service for instructions.


Release Notes Introduction

The Release Notes topics include Release Note information about Oracle Imaging and Process Management, ERP Integration Suite (EIS) and Oracle Imaging and Process Management Software Development Kit (SDK. Information is included regarding Installation Information, Hardware Minimums and Recommendations as well as Limitations.

The Version Control topics cover supported environments. Exceptions regarding the EIS and SDK products are noted in the Release Note topics specific to those portions of the product.

As of version 7.7 Fixed Records Management components are only supported for customers upgrading from a prior release.


Release Notes

Overview

This file contains information regarding the current version of Oracle Imaging and Process Management.

The topics covered in the Release Notes include installation information as well as Hardware Minimums and Recommendations, Limitations and Version Control.

License files are no longer needed to enable components of Oracle Imaging and Process Management. Previous licenses that included Capture licenses will still be needed if Capture is still implemented. All other Oracle components are now licensed according to Oracle licensing policy and no license files are required.

Refer to the System Requirements and Supported Platforms for Oracle Imaging and Process Management 10gR3 document at http://www.oracle.com/technetwork/middleware/content-management/downloads/ipm-certification-matrix-129289.pdf. If a platform, driver, device, etc is not listed, then it is not supported. This document does NOT include explicit references to all un-supported environments, languages and platforms. All supported versions refer to the English language product unless an explicit notation is included about a different language product.

NOTE
The .NET framework installation is automatically installed with the standard Oracle Imaging and Process Management Windows client install, Process Administrative Tools and Web Server. The .NET framework is an optional Windows Update choice.

Limitations

The following are limitations for the current version of Oracle Imaging and Process Management:

  • Installation of a query processor on the Information Broker is optional. A query processor is only required if the following features are implemented: Full-Text Indexing and Searching, external data search retrieval and DOD Certified Fixed Records Management.
  • When upgrading from a previous version of the software, a database conversion may be required. Please see the Upgrade documents on the root of the installation media, and in the CSCU folder, for specific details.
  • Support for CIndex was removed in IBPM 7.6. COLD reports previously filed to CIndex may still be searched and may be converted to COLD SQL. No additional reports may be filed to CIndex as of 7.6. The files necessary to file to CIndex have been removed from the product. The following files are no longer needed and have been removed from the product: register.dat, servers.dat, ###.dat (page files), batch.dat, ctrl.dat, wastebin.dat, smpurge.dat, smmigrate.dat and smigrate.dat.
  • Alert Client Tool, Name Service, Storage Index Server, WastebinUtil.exe and ereset.exe have been removed from IBPM 7.6.
  • The installation was changed as of Acorde 4.0. Older versions of GenCfg will not correctly install the product. The version of GenCfg that is included on the CD must be used to install IBPM. The shipping CD contains compressed files that must be uncompressed by a current version of GenCfg.
  • Support for Fixed Records Management and Fixed RM Web has been discontinued for new installations.
  • If Stellent Capture features are desired they must be purchased directly from a third party vendor.
  • Optical and CDR is not supported on Windows 2008 or newer operating systems. The ASPI drivers that Storage Server uses to access SCSI devices is no longer supported and does not have a version that is compatible with Windows 2008.
  • The I/PM web applications which include; Web Express, I/PM Web, web services, and the Dashboard are not supported on Windows 2008 Server or IIS 7.0.
  • ABBYY 6.0 is no longer supported
  • Optical devices are not supported when running I/PM in a virtual machine.
  • Oracle ODBC driver 11.1.0.7 and newer are not supported. There is an incompatibility between the I/PM system and Oracle drivers that will prevent the system from functioning.

NOTE
Oracle strongly recommends that the database server be on a relatively powerful machine with no other servers when running in a production environment. Configurations that do not follow this recommendation may experience unacceptable performance.

Upgrades

The following upgrades are supported for the Oracle Imaging and Process Management release:

  • Upgrading from IBPM 10.1.3.5 is supported.
  • Upgrading from IBPM 7.6 with SP 2 is supported.
  • Upgrading from IBPM 7.5 is supported.
  • Upgrading from Acorde 4.0 with SP 3 is supported.

NOTE
To upgrade an existing FilePower® or Optika eMedia installation to Oracle Imaging and Process Management, contact your Oracle representative.

NOTE
Using the diag switch with heavy system load will cause system performance degradation. It is recommended that IBPMServer.exe be run in service mode for large systems.


Install Information

Installation Information

See the install.doc for detailed installation information. See upgrade*.doc for information regarding upgrades from prior versions. These documents are available in the main product folder.

CAUTION
If upgrading from a version of the product prior to IBPM 7.6 the CIndex to SQL Conversion Utility (CSCU) MUST be run before upgrading to IBPM 7.6 or later. See the Upgrade*.doc and CSCU.CHM files for additional information.

The Oracle I/PM documentation is shipped in electronic form and is installed during the installation of the product. Additional information is contained in this help file, ReleaseDocs.CHM, and in Microsoft Word files in the root of the CDs. Help information for Web is installed when Web is installed. The Admin.PDF help file contains information about the servers and tips which may be useful during the installation and configuration process. The User.PDF file contains information about client tools.

Please refer to the General Services Installation (Install.DOC) in the main product folder, for detailed installation instructions.

Client and administration documentation for Oracle I/PM consists of User.PDF and Admin.PDF. These are standard format PDF files that require the Adobe Acrobat reader.

NOTE
This version of Oracle Imaging and Process Management is not compatible with any FilePower® or Optika eMedia™ programs or files. However, FilePower and Optika eMedia files may be upgraded and then used with this version of the product. Contact your Oracle representative for upgrade information not covered in the Upgrade Instructions (Upgrade*.doc).

COLD Index Manager

Optika eMedia 1.5.0.2 and 1.5.1 support COLD Index Manager. This feature is available in Acorde 2.2 through Acorde 3.1. COLD Index Manager was retired as of Acorde 4.0. COLD SQL became available as of Acorde 3.1 and is a more optimal solution. Reports previously filed with COLD Index Manager may still be searched with Acorde 4.0.

The Master Index Merge and Migrate Utility (MIMI) is used to merge and migrate Master Index filings with version up to and including IBPM 7.6 SP2. MIMI must be run prior to upgrading to Oracle I/PM 7.7 or later if COLD Index Manager was previously used. Please refer to the Upgrade76SP2.doc document for additional information.

Gammafax

Gammafax support has been discontinued as of Oracle I/PM 7.7

IBPM System User

IBPM System User is an administrator login that is used by Filer, Centera and Snaplock.

NOTE
Oracle recommends that the administrative login has a secure password.

OCR / Full-Text

The Full-Text database must run on Microsoft SQL Server (MS SQL). Microsoft Search must also be installed with MS SQL. The MSSearch option is part of the default installation of MS SQL.

OCR Server

Because the processing done by the OCR Server is very system resource intensive it is recommended that the OCR Service be configured on its own system. The OCR service supports the processing of documents in the following languages: English, German, Portuguese, French, Italian and Spanish.

See the Server minimum and recommended hardware requirements. A multiple CPU machine is recommended (but not required) for the OCR Server due to the CPU intensive nature of the OCR processing. See the limitations topic for additional information.

For customers that wish to implement the I/PM OCR capabilities; Oracle no longer installs or distributes the ABBYY FineReader engine files with the I/PM product media. Please contact ABBYY directly at sales@abbyyusa.com to obtain FineReader licenses and the FineReader engine software that has been created specifically for use with the Oracle I/PM product. The ABBYY software must be separately installed and configured on the I/PM OCR server machine.

SQL Server With OCR and Full-Text

CAUTION
SQL Server must be purchased, installed and managed separately when using OCR Server and Full-Text Server. For performance reasons it is recommended that the existing Query Processor or Backend Database SQL Server not be used as the Full-Text Engine.

Tiff images must be processed by the OCR Service prior to full-text indexing. The OCR Service supports only Oracle I/PM supported TIFF images.

SQL’s Full-Text Engine is able to parse different document types with the use of document filters known as IFilters. SQL Server allows the addition of IFilters to extend support to other document types. An IFilter for the .rtf document type is provided with the Oracle I/PM installation. This IFilter is required for TIFF documents to be full-text indexed. An additional IFilter must also be installed for Office document support. These filters and the list of documents they support can be found at the following location on the Microsoft web site: How to register Microsoft Filter Pack IFilters with SQL Server 2005 and with SQL Server 2008. To find additional IFilters perform a search on “IFilter” using your favorite web browser. Some 3rd party IFilters have a cost associated with them while others are free. For more information on adding additional IFilters see the Administrators Guide under the Full Text topic.

Imaging and Fixed Records Management Integration

As of Acorde 4.0, Fixed Records Management was fully integrated with the Oracle I/PM product suite to manage paper and electronic content. This integration is known as the Stellent Fixed Records Management. This integration enables users of Imaging to apply comprehensive records management features to their stored content. Three tools in Imaging support records management: the Declaration Server, the Declaration Administrator and the Records Declaration tool.

NOTE
This integration required a special license and as of Oracle I/PM 7.7 is only supported for upgrades. New installations are not supported.


Limitations

Limitations are included for the following topics

  • Alert Service

  • Annotations

  • Application Wizard

  • Audit Service

  • BPEL Injector

  • Client Tools

  • COLD Linear Search

  • COLD Index Manager

  • COLD SQL Migration

  • Computer

  • Customizations of Oracle I/PM Installation

  • Data Source

  • Declaration Server

  • Definition Editor

  • Distributed Cache Server

  • Document Index Server

  • DSMS

  • Email

  • Export

  • Fax

  • Filer

  • Filer Reserved Words

  • Full-Text

  • Hardware Summary

  • Indexing Tool

  • Indexing Via Web

  • Information Broker

  • OCR

  • Mail Server (MAPI)

  • Page Manager

  • Print

  • Process

  • Process Broker

  • Request Broker

  • Process Injector

  • Process Transact

  • SDK

  • Security

  • SMS

  • SMTP

  • Storage Server

  • System Manager

  • Tiff

  • Transact

  • User Connection Manager

  • Universal Documents

  • Viewer

  • Web Client

  • Web Express

  • Web Server

All limitations that reference the number of characters refers to single byte characters. The number must be halved if double byte characters are being used.

If a platform, driver or device is not listed in the Version topics, then it is not supported. This document does NOT include explicit references to all un-supported environments, languages and platforms. All supported versions refer to the English language product unless an explicit notation is included about a different language product.

The left column includes a description and the right hand column contains the limits for this release.

Number of Fields in a Profile

Alert Service

Alert Servers in the same Oracle I/PM Domain

Only 1 Alert Server is allowed per Oracle I/PM Domain. Oracle recommends installing Alert Service on the same workstation as Request Broker. To increase Alert Service capability upgrade the CPU processor.

Annotations

Characters supported by Sticky Note Annotations

Special characters are not supported. 0-9, A-Z and a-z are supported.

Application Wizard
Application Name Length | The Application Wizard limits the length of the Application Name to 8 single byte characters or 4 double byte characters.

Input File

 CAUTION
The Application Wizard cannot file input files with more the 162 characters per row. To create an application with the Application Wizard with more than 162 characters per row you must file offline and use the Definition Editor in Filer to re-scope the fields, then file using Filer.

Maximum Field Length

 130 characters

Audit Service

Audit Servers per Oracle I/PM Domain

Maximum of 36 are allowed per Oracle I/PM Domain. (0-9, A-Z)

CAUTION
Auditing activity is very database intensive. Auditing all categories will slow down the Oracle I/PM system. Review each category carefully to determine if it is needed.

BPEL Injector
Maximum number of BPEL Injectors on an Oracle I/PM Domain No limit set by Oracle I/PM. The practical limit will depend on the system configuration.

BPEL Injector is constrained by the amount of available RAM and the CPU. The effect of a less powerful CPU will be seen more as the number of threads is increased.

Client Tools

Characters in search statement

Only limited by search processor (SQL Server)

Characters per Gallery name

50

Galleries per group/user

no limit

Galleries per system

no limit

Index Length in Index Tool

Limited by the application definition maximum field length.

Length of column alias assigned in Search Builder

125 characters

Length of exact fields

125 characters

Length of name for Saved Search

127 characters

Locked Documents in an application

no limit

Locked Documents on the system

no limit

Relative Days in a Search

9999 days in the past or future

Rows/Records returned per search in Search Results

250,000 / limited by available RAM

Search conditions per search

255

Searches on COLD applications

4000 tiers

Searches per Gallery

no limit
Storage Management Tool, Storage Definition Read Cache Days - 32,767
Write Cache Days - 32,767
Remove User Locks after 32,767 Days

Tools per Gallery

no limit

COLD Index Manager

COLD Index Manager per Oracle I/PM Domain

COLD Index Manager was retired as of Acorde 4.0. Previously filed reports may be searched but new reports may not be filed using COLD Master Indexes and COLD Index Manager. COLD SQL provides a more optimal solution.

1 COLD Index Manager is allowed per Oracle I/PM Domain. All Filers and the COLD Index Manager must use the same magnetic directory. COLD Index Manager may not be running when a COLD SQL Migration Server is running.

COLD Linear Search

Number of pages to be searches

 NOTE
COLD Linear Search only searches 9999 pages of COLD documents. If a COLD document is longer than 9999 pages the remaining pages will not be searched.

COLD SQL Migration

Maximum number of COLD SQL Migration Servers

A maximum of 36 COLD SQL Migration Servers are allowed per Oracle I/PM domain. To increase capability add RAM and CPU Speed. Activity on this server also is Disk I/O intensive.

NOTE
COLD Index Manager may not be running when a COLD SQL Migration Server is running.

Computer

Computer Name

Spaces are not allowed.

Mixed case machine names are not supported.

Underscore is not allowed for the name of the Web Server.

NOTE
All other computer name limitations are enforced by the operating System.

Customizations of Oracle I/PM Installations

CAUTION
Many customers extend or customize Oracle I/PM software. Carefully consider customizations, as there is a recurring cost in maintaining them. Customizations make sense if they address a particular business requirement. Discourage customizations if they are of little business value or are only cosmetic.

Customizations complicate future upgrades, application of patches and testing. Weigh the value of all customizations against recurring costs to maintain them. Follow Oracle's recommended standard practices for implementing customizations. This will make future upgrades easier.

Make sure to document all customizations for later reference. Every employee that makes changes to your system should document that change so that peers, future employees and service providers can understand what has been changed. Many customers fail to do this and incur additional costs for re-discovery.

Organizations with extensive customizations may need to create a "vanilla" test system - a clean install of the Oracle I/PM software without any customizations. If the problem exists in the "vanilla" system, it is a valid issue to bring to the attention of Oracle Support.

Data Source

Data Source name in Linked Server Wizard

20 characters

Declaration Server

Maximum number of Declaration Servers allowed on an Oracle I/PM Domain.

Unlimited

Definition Editor

Maximum length of definition for a scoped field

115 characters

Distributed Cache Server (DCS)

Maximum number of DCS allowed on an Oracle I/PM Domain.

Maximum of 36 DCS allowed per Oracle I/PM Domain. (A-Z, 0-9) Only one DCS is allowed per remote site. Upgrade the I/O sub-system and the bandwidth between the remote site and the central site to improve performance.

Document Index Server

Maximum number of Document Index Servers per Oracle I/PM Domain.

Unlimited. Database Server I/O and Disk I/O capacity constrain this server. At least one Document Index Server must be configured.

DSMS Servers
Concurrent download limit | Unlimited by Oracle I/PM, limited by hardware configuration. A practical limit tends to be reached at about 20 DSMS Servers per Oracle I/PM Domain.

Email

Length of allowed message in Email tool message box.

Extremely large messages are truncated at 102399 characters. In an English MS Word document, with 12 pt type and 1 inch margins this is about 25 pages of text.

Export Server
Color of exported object NOTE
The Export Server only generates monochrome TIFF images. Color and grey scale images are converted to shades of black and white at export.

Maximum Export Servers per Oracle I/PM Domain

Maximum of 36 Export Servers are allowed per Oracle I/PM Domain. To increase processing capability increase the amount of available RAM.

While processing export requests, especially conversions that require an image to be rendered, the Export Service will maximize CPU utilization and use of available memory. Oracle recommends that this service be configured independently of Storage, Information Broker, Full-Text, OCR or Document Index Server.

Maximum number of exported pages (objects)

999

Fax Server

Copies that can be requested per job

1

Maximum Fax Servers per Oracle I/PM Domain

Maximum of 36 Fax Servers are allowed per Oracle I/PM Domain. (ID A-Z, 0-9)

A Brooktrout TR114 (or TR1034) board is required with from 1 line to 4 lines. Each server may have a maximum of 8 lines. To increase processing capability increase the number of I/O channels.

Filer

COLD Filed to Magnetic

After a COLD report has been filed to magnetic once, it must always be filed to Master Index. The COLD Master Index feature was retired as of Acorde 4.0.
Compound Documents (not supported) CAUTION
Compound documents are not supported. A compound document is any universal document appended to another universal document or a universal document appended to a tiff document. Compound documents may be composed of two different types of source documents, such as a text file and an MS Word document, or a TIFF and an Excel Spreadsheet. Similarly, a compound document may also consist of two similar universal document types appended to each other such as a bitmap appended to another bitmap. It may be possible to create compound documents as the Oracle I/PM system only reports an error for some combinations of specific types of objects. However, problems may develop later when attempting to view or work with these compound documents. Do not create compound documents.

Custom Archive

CAUTION
When filing Custom Archive Applications, the Oracle I/PM database is updated with all unique MIME-types that have been specified in the input file. However, Oracle I/PM's out-of-the-box support for handling custom mime types is limited to the following formats:

  1. The Browser Tool is the ONLY Oracle I/PM client tool registered to handle the mime types text/HTML, text/HTM and text/XML. Therefore, Custom Archive hits that have one of the aforementioned mime types can only be opened and viewed in the Browser Tool.

  2. To accommodate Document Management and Office Integration features within the Oracle I/PM product, the Viewer Tool is registered to handle all Microsoft Office documents (Word, Excel, PowerPoint, and Outlook). Therefore, Custom Archive hits that are Office document types can be opened and viewed in the Viewer Tool.

  3. Other custom mime types, such as image/BMP, image/JPEG, text/plain, image/WMF, image/GIF, etc. are not currently registered to be handled by any tool in the Oracle I/PM Windows Client. A custom action modifier tool may be written using the Oracle I/PM SDK to handle desired mime types not currently supported by the standard Oracle I/PM client tools.

  4. Please note that the only document action that is currently available through the right-click menu of Search Results for Custom Archive documents that have been assigned an HTML, HTM, XML or any Microsoft Office Suite file format is the Open/View option.

Data to be Filed

Back slash characters, \ and a pipe, |, are not supported

Delimiter for Data to be Filed

Special characters, such as $, &, #, ?, \ are not supported

Delimiter termination character for Image and Universal application object names and locations

NOTE
Must be a pipe character, |

Document Manager display of filings

32,000 applications
Field Lengths
Field Type | Limited to
All fields not explicitly specified | 130 characters
Application Description | 39 characters
Application Name | 9 characters
Command File Input Line | 254 characters
Default Value Validation Field | 19 characters
Definition Editor ODBC User Name | 20 characters
Definition Editor ODBC Password | 20 characters
Field Name | 18 characters
Index Name | 9 characters
Input File Object Names | Limited to 20 characters and extension limited to 20 characters, however, the Definition Editor only supports an 8.3 file name format.
Field Names Reserved | See the List of Reserved Words which may not be used when creating applications and user defined fields in Filer.

Field, Index and Application Names

Special characters, such as ,, @, #, $, %, ., <, >, ?, _, ), (, |, - are not supported. Special characters in non-English language sets are also not supported. Only A-Z, a-z and 0-9 are supported.

SQL reserved words are not supported.

"BatchID" and other system field names are not supported.

Filer accepts images that meet the following specifications.

  • Tagged Image File Format (TIFF)

  • Group IV Compression

  • Group VI Compression (Original Microsoft TIFF standards, but not Wang Compression 6)

  • 200, 300 or 400 dpi

  • X resolution equal to Y resolution

  • Non-tiled

  • Non-stripped (i.e. Lines per strip equal to total lines. Stripped TIFF and LZW formats are not supported)

  • Image widths which are a multiple of 8

  • Fill order of 1 or 2

  • Tags at the top or bottom of the file

  • Single-plane (monochrome) / Bi-tonal

  • Single Page or multi-page TIFFs

  • Intel Format (II) are supported. Other formats, such as Motorola format (MM) are not supported. Group 7 Tiff are not supported.

CAUTION
NOTE: JPEG TIFF REQUIREMENTS:

  • JPEGInterchangeFormat = An offset value pointing to the start of the JPEG data.
  • Compression = 6 (JPEG)
  • PhotometricInterpretation = 6 (YCbCr)
  • StripOffsets = The start of the complete JPEG data (header and compressed data), where the SOI (Start of Image) (FFD8) marker can be found, the beginning of that which is a complete JPEG image outside the TIFF file.
  • StripByteCounts = The length of the complete JPEG image. Typically everything from the SOI to EOI (FFD9).

NOTE
LIMITATIONS: The Oracle I/PM product does not currently support JPEG TIFFS that contain the following JPEG specific tags in the tiff header:

JPEGProc
JPEGRestartInterval
JPEGQtables
JPEGDctables
JPEGActables

NOTE
Oracle recommends customers perform testing with their JPEG TIFF images to ensure they are saved in a format that is compatible with their system and business practices. In certain situations, JPEG TIFF formats will not be compatible with a particular repository, retrieval engine, or third party viewer including the default OS Microsoft viewers. In these situations, Oracle recommends the use of the TIFF format for binary images and the JPEG format for grayscale and color images.

Filer Reserved Words | See the topic, Filer Reserved Words, for a list of reserved words.

Input File Maximum Size

The input file size must be less than 4 GB

Input File Names

File Names must include the complete drive designation and path to the file on the Oracle I/PM Server. UNC file names are supported.

Special characters, such as *, ?, =, +, |, [, ], ;, /, <, >, " are not supported.

The input file name is limited to 39 characters and should follow a pattern so the input file can be associated with a particular storage application in Oracle I/PM.

If the same text file name is used for each batch, later batches may overwrite the file for a previous batch. Oracle recommends that the text file name contain a sequence number or other value that will make it unique for at least a 7 day period.

Input Files per Application

1 in non-wildcard mode and unlimited in wildcard mode

Input Path

The Filer Server Input Path may not be a hidden share, such as C$.

Maximum Number of Fields in an Application

49

Maximum number of fields in an index

COLD - 23
COLD SQL - 49
Image - 30

Maximum number of Filers per Oracle I/PM Domain

A maximum of 99 Filers are allowed per Oracle I/PM Domain. To increase the filing capability increase CPU speed, available RAM and the number of CPUs.

Maximum Indexes in an Application

COLD Application - 12 (If additional Indexes are defined they will not be saved.)
COLD SQL Application - 25
New Image Application - 1
Maximum length of image and object names | 52 characters

Maximum number of indexes and searchable fields in an application

COLD - 25. The number is the total number of indexes plus the number of searchable fields in all indexes.

COLD SQL - The only limitation is having a maximum of 49 fields in each index and 25 indexes. All the fields in every index can be searchable, but this is not recommended since it may negatively impact searching performance.

Imaging - 31. The number is the total number of indexes plus the number of searchable fields in all indexes.
Maximum number of printable characters for index data in an input file | 134 character. Non printable characters are truncated from each field to determine the total number of characters.

Maximum number of searchable fields in an index

COLD Index - 14
COLD SQL Index - 49
Imaging Index - 30

Minimum searchable Fields per index

Minimum of 1 required per index

Multi-Tier Minimum Setting

1,000

Multi-Tier Upper Bound

100,000,000

Object Paths

With Windows 2003, the object paths must use UNC when Filer is running as a service.

Overlay File Format

Only Group IV TIFFs are supported.

Overlay File Name

40 characters

Pre and Post Processor Names

79 characters

Server ID

The Server ID must be numeric, 0-99.

Unicode

Filer supports MBCS input files but does not support Unicode input files.

Full-Text

Database | The Full-Text database generally requires extensive disk space. Make sure to configure Full-Text so that the Full-Text database is NOT included in the Imaging database.

Largest Image document that may be stored

9999 pages

Largest universal document that may be stored

2 Gig

Maximum number of Full-Text Servers per Oracle I/PM Domain

An unlimited number of Full-Text Servers are allowed per Oracle I/PM Domain. To increase capability increase CPU speed, available RAM and the number of CPUs.

Hardware Summary

Fax boards on the system

36

Jukeboxes on the system

36

Printers on the system

Unlimited by Oracle I/PM, practical limit will be determined by system configuration.

Indexing Tool

Total Length of File Name of files to be indexed via the Indexing tool from the Oracle I/PM Windows Client.

50 characters

Indexing Via Web

Length of numeric index fields

10 characters

Length of exact index fields

85 characters

Information Broker

Maximum number of Information Brokers per Oracle I/PM Domain

A maximum of 36 Information Brokers are allowed per Oracle I/PM Domain. (A-Z, 0-9) To increase capability add I/O paths and RAM.

Mail Server (MAPI)

Maximum number of Mail Servers per Oracle I/PM Domain

A maximum of 1 per Oracle I/PM Domain.

Failover is not supported.

This server is constrained by Disk I/O and CPU speed.

OCR

Maximum number of OCR Servers per Oracle I/PM Domain

Unlimited. To increase capability increase CPU speed, available RAM and the number of CPUs.

This server is very CPU intensive. For optimal performance in a production environment, no other servers should be running on the machine when OCR Server is running.

Page Manager

Document Types Supported | Only TIFF document types are supported
Compound Document Support | Compound documents are not supported entirely. Only documents whose first page(s) are TIFF type, and only those TIFF pages in sequence before any pages of another document type.
Cut and Paste Limitations | Pages can only be cut and pasted within the same application. Security in schemas is based on applications so a page cannot be cut from one application and pasted into a document indexed into a different application.
Adding Color Tiffs | Group 6 Tiffs (color tiff) pages cannot be added to an existing I/PM document. Page Manager supports the manipulation of Group 6 tiff pages within an existing/indexed I/PM document and the creation of a new I/PM document.
Vista File System Limitation | Clients running on Window’s Vista will not have the ability to drag a file from the Window’s file system into Page Manager with User Account Control turned on. This setting can be disabled through the Control Panel “User Accounts” option.

PeopleSoft Enterprise One Integration

Maximum length of Mapping Name

PeopleSoft supports only 41 characters for a mapping name. However, Oracle I/PM supports longer mapping names. If a longer name is entered in Oracle I/PM it will not be accessible from PeopleSoft Enterprise One.

Print

Pages that can be requested per job

Limited by the value set in the Max Print Pages in the Security Tool.

Maximum number of pages that may be printed per document

500

Maximum number of Print Servers per Oracle I/PM Domain

A maximum of 36 Print Servers are allowed per Oracle I/PM Domain. (A-Z, 0-9) To increase capability increase I/O channels and available RAM.

NOTE
With heavy loads (thousands of individual print jobs or limited print requests with thousands of individual pages), the Print Service will maximize both CPU utilization and physical/virtual memory. The impact is most noticeable when print jobs are persisted to the Print Queue due to a small amount of information that is retained in memory for each job.

Process

Characters in Full Name

255

Events per process

no limit

Forms per Package

no limit

Indexed Fields in a Package Template

500 unless the database has a lower limit, such as SQL which is 250

Packages in a Worklist

no limit

Packages in an Inbox

no limit

Packages in the system

no limit

Processes on the system

no limit

Scripts in process

no limit

Sub-Flows in a Process

no limit

Process Broker

Maximum number of Process Brokers on an Oracle I/PM Domain

No limit set by Oracle I/PM. The practical limit will depend on the system configuration.

Process Broker is constrained by the CPU, the amount of available RAM and the database. As the number of threads increases, CPU utilization will increase.
Maximum number of Process Broker Pools | Limit of one pool per Process Broker but unlimited number of Process Broker pools in Oracle I/PM domain. The practical limit will depend on the system configuration.

Process Injector

Maximum number of Process Injectors on an Oracle I/PM Domain

No limit set by Oracle I/PM. The practical limit will depend on the system configuration.

This service requires that at least one Process Broker be configured on the system.

Process Injector is constrained by the amount of available RAM and the CPU. The effect of a less powerful CPU will be seen more as the number of threads is increased.

Process Profiles
Number of Fields in a Profile | No limit
Number of Profiles in a System | No limit

Process Transact

Maximum number of Process Transacts on an Oracle I/PM Domain

No limit set by Oracle I/PM. The practical limit will depend on the system configuration.

This service requires that at least one Process Broker be configured on the system.

Process Transact is constrained by I/O and the amount of available RAM.

Request Broker

Maximum Request Brokers per Oracle I/PM Domain

36 Request Brokers are allowed per Oracle I/PM Domain, but Oracle recommends a maximum of 3. To increase capacity, increase available RAM first and then CPU speed.
Request Broker Domain Name | No spaces allowed

Custom Pool Names

 Custom pool names cannot contain any characters outside of A-Z. Specifying a pool with other characters may lead to routing issues. Process Broker utilizes the custom pool feature of Request Broker.

SDK

Index length

235

Searching
Special Characters in Saved Search Name when search is performed from Web. | The ampersand (&) may not be used in a Saved Search Name if the search will be used via the Web.

Security Server

Maximum Security Servers per Oracle I/PM Domain

Oracle I/PM does not limit the number of Security Servers allowed per Oracle I/PM Domain. Practical limits are a result of the system configuration.

To increase performance, increase available RAM.

Security under Windows 2000

Time Service must be running on all servers to ensure synchronous time.

SMS

Maximum number of Search Manager Servers running at a time per Oracle I/PM Domain

Maximum of 36 SMS per Oracle I/PM Domain.

This server is constrained by available RAM.

SMTP

Maximum number of SMTP Servers running at a time per Oracle I/PM Domain

Maximum of 1 active at a time per Oracle I/PM Domain. A backup server may take over processing if the primary server is taken offline. This is a component of the Email Server.

This server is constrained by disk I/O.

Special Characters
Portuguese (Brazilian) The following special characters are included in the Portuguese (Brazilian) character set. These characters are included in both upper and lower case.
E E E E E E E E E E E E E E E E E E

Storage Server

Maximum number of Storage Servers running at a time per Oracle I/PM Domain

Maximum of 36 allowed per Oracle I/PM Domain. (A-Z, 0-9)

To improve performance, upgrade I/O sub-system SCSI II (20MB/sec) or SCSI III (40MB/sec) or ULVD (80MB/sec).
Storage Independent Volumes (SIV) | When using Storage Independent Volumes, if SIV are enabled on a Storage Server, SIV must be enabled on all Storage Servers in the same LAN for SIV to work properly.

Storage Server Cache Days

32,767

Storage Server Maximum Retention Days (Applies to SnapLock and Centera only.)

99,999
Volume Name | Special characters are not supported for volume names. Special characters in non-English language sets are also not supported. Only A-Z, a-z and 0-9 are supported characters for volume names.
Volume Name Length | 11 characters

Optical storage

 Not supported on 64 bit operating systems.

SCSI Driver

 An ASPI driver that is compatible with the SCSI controller and operating system is required to run any SCSI devices.

Supported Operating System for SCSI devices

 Windows 2003 and earler operating systems are required to operate any CDR, jukebox or optical devices.

System Manager

Maximum number of System Managers per Oracle I/PM Domain

NOTE
No limit, however, Oracle recommends that only one be configured.

This service is constrained by I/O.

TIFF
NOTE
The Oracle I/PM architecture treats universal documents as one object without a page concept. As a result, the following functionality is not available for TIFFs that have been filed into Oracle I/PM as Universal types. 		Print Page Range
Export Page Range
Fax Page Range
Viewer Tool: Go To Option, Page status will always be displayed as page "1 of 1".
Document Actions Tool Save As and Send to Mail Recipient Page Range
Deletion of individual pages within a universal TIFF document.
The following standard imaging functionality is not available for TIFFs that were filed as universal documents. Append and Insert Into
Full Text/OCR
Viewer Content Mode (hit highlighting)
Viewer Rotate Annotation

NOTE
Image quality may be reduced for viewing, printing, faxing and export operations because universal documents are rendered without anti-aliasing.

TIFF JPEG Requirements JPEGInterchangeFormat = An offset value pointing to the start of the JPEG data.
Compression = 6 (JPEG)
PhotometricInterpretation = 6 (YCbCr)
StripOffsets = The start of the complete JPEG data (header and compressed data), where the SOI (Start of Image) (FFD8) marker can be found, the beginning of which is a complete JPEG image outside the TIFF file.
StripByteCounts = The length of the complete JPEG image. Typically everything from the SOI to EOI (FFD9).

LIMITATIONS: The Oracle I/PM product does not currently support JPEG TIFFS that contain the following JPEG specific tags in the tiff header:

JPEGProc
JPEGRestartInterval
JPEGQtables
JPEGDctables
JPEGActables

Oracle recommends customers perform testing with their JPEG TIFF images to ensure they are saved in a format that is compatible with their system and business practices. In certain situations, JPEG Tiff formats will not be compatible with a particular repository, retrieval engine, or third party viewer (including the default OS Microsoft viewers). In these situations, Oracle recommends the use of the TIFF format for binary images and the JPEG format for grayscale and color images.

Transact

Maximum number of Transact per Oracle I/PM Domain

Maximum of 36 allowed per Oracle I/PM Domain (A-Z, 0-9)

NOTE
To increase capacity, increase available RAM.

User Connection Manger (UCON)

Maximum number of User Connection Managers per Oracle I/PM Domain

Maximum of 1 allowed per Oracle I/PM Domain (A-Z, 0-9).

To increase capacity, increase CPU speed.

Universal Documents

The Oracle I/PM architecture treats universal documents as one object without a page concept. As a result, the following functionality is not available for universals.

PRINT PAGE RANGE
EXPORT PAGE RANGE
FAX PAGE RANGE
VIEWER TOOL: GO TO option is not available.
DOCUMENT ACTIONS TOOL SAVE AS and SEND TO MAIL RECIPIENT PAGE RANGE

Viewer

File formats supported by the Viewer

Filter Files are used by the Viewer to render various file formats. See the Operating Systems page for information about the version of filter files that are being used.

The Viewer also supports rendering of color and grayscale TIFF files compressed with JPEG compression (Compression type 6). WANG Compression 6 format is not supported.

In addition to files that are supported by the filter file, the Viewer supports JPEG 2000 images for display, print and native exports only. (When performing a conversion from a JPEG 2000 file format to the enhanced metafile format, which is required for viewing in the Oracle I/PM Plugin Viewer, document variations in page size and rendering may occur which can cause annotations to appear shifted.)

Formats of local files supported when using Web and the Viewer Plugin

TIFF, Text, Microsoft Office File Formats, PDF and Image Formats (BMP, JPEG, GIF)

The maximum number of pages of a universal document that may be viewed

500

Pages per document in the system

no limit

Pages per document in the viewer

Configurable through the right click User Preferences menu in the Viewer. Limited by processor and available memory.

Simultaneous Documents in the viewer

Configurable through the right click User Preferences menu in the Viewer. Limited by processor and available memory.

Size of bitmap annotation

Up to 20 K, size limit may vary depending on system configuration

Web Client

Distributed Cache

Not Supported

Maximum file storage size

10 MB

Maximum Packages Displayed in Inbox

100

Maximum Packages Displayed in Worklist

100

Maximum Displayed Search Results

100

Pre-cache Pages by Storage Server

Not Supported
User Defined Field Format | User Defined Fields may not be float or date. The value for a User Defined field may begin with the "@" character. However, if the @ is used this way, the value may not be formatted to Float or Date types. The form expects a valid float or date value to appear as the value from the COM object. If the field is hidden, this is not an issue. This limitation applies to all languages.

Web Express
Batch Printing | Batch Printing from Search Results is only allowed on Internet Explorer browsers and not on Firefox or Safari because of the Microsoft Active-X control used. A user on Firefox or Safari can still print to Print Server or print individual pages from the Viewer.
Image Viewer | Annotations are not displayed with documents and may not be viewed or edited.

Web Server
Back Button on Browser | The Back button on the browser may not always work as expected due to security considerations.

Execution of client script triggers

Due to the architecture of the Web client, client side script triggers are executed on the Web Server machine, not on the individual Web client machines.

Maximum number of Web Servers per Oracle I/PM Domain

Unlimited number of Web Servers may be configured per Oracle I/PM Domain.

Increase the available RAM or add additional Web Servers to improve performance dramatically.

Validation of February 29 date

When February 29 is entered and the year is not a leap year, Web converts February 29 to March 1.


Filer Reserved Words

Limitations - Filer Reserved Words

These words are reserved words and may not be used to name user-defined fields when creating applications in Filer.

This list applies to Acorde 3.1. This list applies to Acorde 4.0. This list applies to IBPM 7.5 and later.

ALL
ALTER
AND
ANY
AS
ASC
BATCHID
BLOB
BY
CHAR
CHECK
CHECKEDOUT
DATE
DECIMAL
DELETE
DESC
DOCANNOTS
DOCUMENTTYPE
DOUBLE
DROP
FLOAT
FROM
GROUP
INDEX
INSERT
MEMO
NUMBER
NUMERIC
OFF
ON
ORDER
PAGEANNOTS
PAGECOUNT
RECID
SELECT
TABLE
TEXT
TIME
UNION
UNIQUE
UPDATE
VALUE
VALUES
WHERE

ALL
ALTER
AND
ANY
AS
ASC
BATCHDATE
BATCHID
BLOB
BY
CHAR
CHECK
CHECKEDOUT
DATE
DECIMAL
DELETE
DESC
DOCANNOTS
DOCINBATCH
DOCUMENTTYPE
DOUBLE
DROP
EXTRECID
FILEDDATE
FLOAT
FROM
GROUP
INDEX
INSERT
LUCID
MEMO
NUMBER
NUMERIC
OFF
ON
ORDER
PAGEANNOTS
PAGECOUNT
PMID
RECID
SELECT
TABLE
TEXT
TIME
UNION
UNIQUE
UNIQUEID
UPDATE
VALUE
VALUES
WHERE

ABORT
ABSOLUTE
ACCESS
ACCEPT
ADD
AFTER
ALL
ALLOWING
ALTER
AND
ANSI
ANY
ARRAY
AS
ASC
ASCENDING
ASCII
AT
ATTRIBUTE
ATTRIBUTES
AUDIT
AUTHORIZATION
AUTO
AUTONEXT
AVERAGE
AVG
BACKGROUND
BACKUP
BATCHDATE
BATCHID
BEFORE
BEGIN
BEGINNING
BELL
BETWEEN
BLACK
BLANKS
BLINK
BLUE
BLOB
BOLD
BORDER
BOTTOM
BREAK
BROWSE
BUFFERED
BULK
BY
BYTE
CASCADE
CASE
CHAR
CHARACTER
CHECK
CHECKEDOUT
CHECKPOINT
CLEAR
CLIPPED
CLOSE
CLUSTER
COALESCE
COL
COLLATE
COLOR
COLORS
COLUMN
COLUMNS
COMMAND
COMMENT
COMMENTS
COMMIT
COMMITTED
COMPOSITES
COMPRESS
COMPUTE
CONSTRAINT
CONTINUE
CONVERT
CONNECT
CONSTANT
CONSTRAINT
CONTAINS
CONTAINSTABLE
CONSTRUCT
CONTINUE
CONVERT
COUNT
CREATE
CROSS
CURRENT
CURRENT_DATE
CURRENT_TIME
CURRENT_TIMESTAMP
CURRENT_USER
CURSOR
CYAN
DATABASE
DATE
DATETIME
DATE_TYPE
DAY
DBA
DBCC
DEALLOCATE
DEBUG
DEC
DECIMAL
DECIMAL_TYPE
DECLARE
DEC_T
DELETE
DEFAULT
DEFAULTS
DEFER
DEFINE
DELIMITER
DELIMITERS
DENY
DESC
DESCENDING
DESCRIBE
DESCRIPTOR
DISK
DIM
DIRTY
DISPLAY
DISPLAYONLY
DISTINCT
DISTRIBUTED
DO
DOCANNOTS
DOCINBATCH
DOCUMENTTYPE
DOMINANT
DOUBLE
DOWN
DOWNSHIFT
DROP
DTIME
DTIME_T
DUMMY
DUMP
EDITADD
EDITUPDATE
ELSE
END
END-EXEC
ENDIF
ENDING
ERRLVL
ERROR
ESCAPE
EVERY
EXCEPT
EXECUTE
EXCLUSIVE
EXEC
EXECUTE
EXIT
EXISTS
EXITNOW
EXITS
EXPLAIN
EXTEND
EXTENT
EXTERN
EXTERNAL
EXTRECID
FALSE
FETCH
FIELD
FILE
FILEDDATE
FILLFACTOR
FINISH
FIRST
FIXCHAR
FLOAT
FLUSH
FOR
FOREACH
FOREIGN
FORM
FORMAT
FORMONLY
FOUND
FRACTION
FREE
FREETEXT
FREETEXTTABLE
FROM
FULL
FUNCTION
GLOBALS
GO
GO TO
GOTO
GRANT
GREEN
GROUP
HAVING
HEADER
HEADINGS
HELP
HOLD
HOLDLOCK
IDENTIFIED
IDENTITY
IDENTITY_INSERT
IDENTITYCOL
IF
IFDEF
IFNDEF
IMMEDIATE
IN
INCLUDE
INCREMENT
INDEX
INDICATOR
INFIELD
INFO
INITIAL
INITIALIZE
INNER
INPUT
INSERT
INSTRUCTIONS
INT
INTEGER
INTERRUPT
INTERSECT
INTERVAL
INTO
INTRVL_T
INVERSE
INVISIBLE
IS
ISAM
ISOLATION
JOIN
JOINING
KEY
KILL
LABEL
LAST
LEN
LENGTH
LEFT
LET
LEVEL
LIKE
LINE
LINENO
LINES
LOAD
LOCATOR
LOCK
LOC_T
LOG
LONG
LONG_FLOAT
LONG_INTEGER
LOOKUP
LOOP
LUCID
MAGENTA
MAIN
MARGIN
MASTER
MATCHES
MAX
MAXEXTENTS
MDY
MEMO
MEMORY
MENU
MESSAGE
MIN
MINUS
MINUTE
MIRROR
MIRROREXIT
MOD
MODE
MODIFY
MODULE
MONEY
MONTH
NAME
NATIONAL
NATURAL
NEED
NETWORK
NEW
NEXT
NEXTFIELD
NO
NOAUDIT
NOCHECK
NOCR
NOCOMPRESS
NOENTRY
NOHOLDLOCK
NONCLUSTERED
NORMAL
NOT
NOTFOUND
NOUPDATE
NOW
NOWAIT
NULL
NULLIF
NUMBER
NUMERIC
NUMERIC_TRUNCATION
OF
OFF
OFFLINE
OFFSETS
ON
ONCE
ONLINE
ONLY
OR
ORDER
OPEN
OPENDATASOURCE
OPENQUERY
OPENROWSET
OPENXML
OPTION
OPTIONS
OTHERWISE
OUT
OUTER
OUTPUT
OVER
PACKAGE
PAGE
PAGEANNOTS
PAGECOUNT
PAGENO
PARAM
PAUSE
PCTFREE
PERCENT
PERFORM
PERM
PERMANENT
PICTURE
PIPE
PLAN
PMID
POSITIVE
PRECISION
PREPARE
PREVIOUS
PRIMARY
PRINT
PRINTER
PRIOR
PRIVILEGE
PRIVILEGES
PROC
PROCEDURE
PROCESSEXIT
PROGRAM
PROMPT
PUBLIC
PUT
QUERY
QUERYCLEAR
QUIT
RAISE
RAISERROR
RANGE
RAW
READ
READONLY
READTEXT
REAL
RECID
RECONFIGURE
RECORD
RECOVER
RED
REFERENCES
REGISTER
RELATIVE
REMOVE
RENAME
RESTRICT
RESTORE
REPAIR
REPEATABLE
REPLACE
REPLICATION
REPORT
REQUIRED
RESERVED_PGS
RESOURCE
RETURN
RETURNING
REVERSE
REVOKE
RIGHT
ROLE
ROLLBACK
ROLLFORWARD
ROW
ROWCNT
ROWCOUNT
ROWID
ROWGUIDCOL
ROWNUM
ROWS
RULE
RUN
SAVE
SAVEPOINT
SCHEMA
SCREEN
SCROLL
SECOND
SECTION
SELECT
SERIAL
SERIAL_TYPE
SESSION
SESSION_USER
SET
SETUSER
SHARE
SHARED
SHIFT
SHORT
SHORT_FLOAT
SHORT_INTEGER
SHUTDOWN
SITENAME
SIZE
SKIP
SLEEP
SMALLFLOAT
SMALLINT
SOME
SPACE
SPACES
SQL
SQLCA
SQLCHAR_TYPE
SQLDA
SQLDECIMAL_TYPE
SQLERR
SQLERROR
SQLFLOAT_TYPE
SQLINT_TYPE
SQLMONEY_TYPE
SQLSMFLOAT_TYPE
SQLSMINT_TYPE
SQLWARNING
STABILITY
START
STARTLOG
STATIC
STATISTICS
STATUS
STDV
STEP
STOP
STRING
STRIPE
STRUCT
SUBTRACT
SUBTYPE
SUCCESSFUL
SUM
SYB_IDENTITY
SYB_RESTREE
SYB_TERMINATE
SYNONYM
SYSDATE
SYSTABLES
SYSTEM_USER
TABLE
TEMP
TEMPORARY
TEXT
TEXTSIZE
THEN
THROUGH
THRU
TIME
TINY_INTEGER
TO
TODAY
TOP
TOTAL
TRAILER
TRAILING
TRIGGER
TRUE
TRUNCATE
TRAN
TRANSACTION
TRIGGER
TRUNCATE
TSEQUAL
TYPE
TYPEDEF
UID
UNDEF
UNDERLINE
UNION
UNIQUE
UNIQUEID
UNITS
UNLOAD
UNLOCK
UP
UPDATE
UPDATETEXT
UPSHIFT
USE
USED_PGS
USER
USER_OPTION
USING
VALIDATE
VALUE
VALUES
VARCHAR
VARCHAR2
VARIABLE
VARYING
VC_T
VERIFY
VIEW
WAIT
WAITING
WAITFOR
WARNING
WEEKDAY
WHEN
WHENEVER
WHERE
WHILE
WHITE
WINDOW
WITH
WITHOUT
WORDWRAP
WORK
WRAP
WRITETEXT
YEAR
YELLOW
YES
ZEROFILL


Version Overview

Version Control - Overview

Oracle Imaging and Process Management supports specific environments. The current list of supported operating systems, platforms and integrations can be found at: http://www.oracle.com/technetwork/middleware/content-management/downloads/ipm-certification-matrix-129289.pdf

NOTE
FRM is only supported with the 7.7 release as an upgrade. New installations of FRM are not supported.

NOTE
Support of Critical Patches
Although every operating system, database, Internet Explorer and Office critical patch that is released is not tested immediately with Oracle Imaging and Process Management, such patches are necessary and must be applied in most environments. Every reasonable effort will be made to support such critical patches if they introduce an issue with Oracle Imaging and Process Management. We highly recommend testing such patches in a test environment prior to implementing them in a production environment.


Version - Development Environment

Version Control - Development Environments

The following table indicates supported development environments.

 | MS VB 6.0 SP 6 | MS VB .NET Studio 2005 | MS C# .NET Studio 2005 | MS VC++ 6.0 SP 6
Imaging Toolkit Client | S / T | S / T | S / NT | S / NT
Process Toolkit Client | S / T | S / T | S / NT | S / NT
Creating OLE Forms in Process | S / T | S / T | S / NT | S / NT
Viewer Toolkit Client | S / T | S / T | S / NT | S / NT
Web SDK Toolkit Client | S / T | S / T | S / NT | S / NT

Crystal Reports version 11.5 is supported for Process.

See the ERP Integration Suite help topic for a list of other software supported integrated with Oracle Imaging and Process Management, such as PeopleSoft EnterpriseOne, PeopleSoft World, PeopleSoft Enterprise, Oracle and Great Plains.

Supported Application Servers for BPEL Injector Web Services

The following application servers are supported:

  • Oracle Application Server 10g Release 3 (Tested 10.1.3.1.0 on Windows and 10.1.3.3.0 on Linux)
  • JDeveloper 10.1.3.2


Version - Hardware Requirements

Version Control - Hardware Requirements

This topic includes information about the following hardware considerations.

  • CPU Speed, Memory and Magnetic Space
  • CD-R Drives
  • Display Requirements
  • FAX Support
  • Printers
  • Storage Devices
  • SCSI Cards
  • Scanners
  • Scan Client
  • Utilization of Multi-Processors by Services

See Display and CD-R Drive requirements at the end of this page. See the Operating System topic for specific versions of supported operating systems and required service packs and hot fixes. See the notes at the end of this topic regarding the use of multi-processor machines.

CPU Speed, Memory and Magnetic Space Requirements

Your hardware must meet the following minimum requirements to run a basic system for demonstrations or training purposes. Production environments will have increased hardware requirements. It is recommended that customers work with their Oracle representative to configure their installation to their specific environment and production needs. Some sample configurations are discussed in the Installation Guide.

CAUTION
It is strongly recommended that Oracle I/PM services not be installed on the same machine as the backend SQL database. Some SQL databases tend to over utilize available memory. See the Database topic footnote about restricting memory usage when configuring SQL on Oracle I/PM Servers.

NOTE
Additional memory, more or faster machines and additional disk space will be required for optimal performance in many production environments. Many factors must be considered when determining the appropriate hardware and configuration. These factors, among others, are

  • number and types of Oracle I/PM services that will be running on a given server machine,
  • number of users that will be accessing the Oracle I/PM system,
  • types of operations the users will be performing and
  • volume of data flowing into and through the Oracle I/PM system.

NOTE
Due to the nature of OCR processing, the OCR service is very CPU and memory intensive. Oracle recommends that this service be isolated on a separate machine. The Scan Client or Stellent Capture may also require a separate machine to achieve acceptable performance.

Minimum Processing Speed and Memory

Recommended Processing Speed and Memory(5)

Special Considerations (3)

Windows Client Pentium 300 -
256 MB RAM 		1GHZ -
512 MB RAM 		MAGNETIC DISK SPACE: At least 300 MB local magnetic disk space (2).
Web Client (1) Pentium 300 -
256 MB RAM 		1GHZ -
512 MB RAM
Servers (1) 1.0 GHZ -
1 GB RAM 		2.8 GHZ Dual -
2 GB RAM

MAGNETIC DISK SPACE: Oracle suggests starting with at least 10 GB local magnetic disk space per server.

The amount of magnetic space required is highly dependent upon the data being processed and the system configuration. For instance, large volumes or configurations with logging turned on will greatly increase magnetic space requirements.

MEMORY: When Adobe PDF Distiller is installed on an Oracle I/PM Export Server, an additional 128 MB of available memory may be required.

DEMO SYSTEM: Running a Demo system requires a total of at least 8 GB of local magnetic disk space with 2 GB available for the DSMS Server and at least 5 GB available for the Database Server. (6)

Full-Text Servers 1.0 GHZ -
1 GB RAM 		2.8 GHZ Dual -
2 GB RAM

MAGNETIC DISK SPACE: Required local magnetic disk space is highly dependent upon data being processed and the system configuration. (7>7) (8)

Web Server 1.0 GHZ -
1 GB RAM 		2.8 GHZ Dual -
2 GB RAM

MAGNETIC DISK SPACE: At least 500 MB local magnetic disk space. Additional space may be required for exported documents.

One Machine Installation (10) 2.0 GHZ -
1 GB RAM 		2.8 GHZ Dual -
2 GB RAM 		MAGNETIC DISK SPACE: At least 10 GB local magnetic disk space, but highly dependent upon usage.

  1. Oracle recommends that twice as much space is configured for swap files as there is memory installed on the machine.

  2. If using custom tools within the production client, it is recommended that you contact your third party provider for additional specific requirements.

  3. It is recommended that caching not be used when the amount of available hard drive space is limited. The configuration for caching greatly impacts the amount of local magnetic disk space that is required.

  4. If using a third party scanning solution please refer to their required configuration.

  5. The recommended hardware configurations are for production systems, however additional memory and faster CPUs can have a significant impact on performance.

  6. This is the minimum hardware configuration required for an Intel machine to run a demo system with limited volumes. This is not recommended for a production environment. Production volumes will dictate the actual minimum hardware requirements for the specific applications.

  7. A multiple CPU machine is recommended (but not required) for the OCR Server due to the CPU intensive nature of the OCR processing.

  8. The minimum and recommended hardware configurations listed for the OCR and Full-Text Servers are for a small volume of data being processed.

    CAUTION
    The requirements for the OCR and Full-Text Servers are highly dependent upon the size of the documents being processed, the number of documents and the number of threads defined and simultaneously processed.

    The OCR and Full-Text Servers are very CPU intensive, additional CPUs, increasing the CPU speed and amount of RAM can have a significant impact on performance, especially when larger volumes of data are being processed by these servers.
    Local magnetic space requirements for OCR / Full-Text Servers are dependent upon the documents being stored. Oracle suggests that 500 MB minimum free space be available, however, this requirement is highly dependent upon the size of the documents and the volume of data and the number of threads defined.

  9. The PeopleSoft integration requires a minimum of 3 GB disk space.

  10. Oracle I/PM may be run on a single machine for systems with smaller volumes, such as demonstrations. Single machine installations involve special configuration requirements and are not intended for systems with more than 20 users.

  • Although not required, the SQL backend database should be run on a second machine for small production systems.

  • Microsoft also recommends that IIS also be run on a separate machine if Web Server is being used.

  • A single machine configuration requires at least Windows 2000 Server SP 4 or Windows 2003 Server SP 2, MS SQL 2000 SP 4, Image Controls 3.65 and the appropriate scanner drivers.

  • Depending upon the type and volume of processing, system resources may be exceeded on a single machine installation. It may be necessary to expand the Oracle I/PM system to run across multiple servers for optimal performance.

The following diagram shows what a typical "single machine" configuration might look like.

CD-R Drives

The integrated Golden Hawk APIs are toolkit version 3.9B. This includes support for CD-R drives for burning CDs. See the complete list of supported drives at www.goldenhawk.com.

Display Requirements

Web Clients require at least 256 colors and a minimum resolution of 800 X 600.

Servers require at least 256 colors and a minimum resolution of 1024 X 768.

Windows Clients require at least 256 colors and a minimum resolution of 1024 X 768 with a few exceptions. A small number of non-administrative tools may run correctly in lower resolution environments, however, if problems appear, move to a higher resolution.

The Full-Text Administrator Tool and Security Tool require a minimum of 16 bit colors.

SDK and ERP Integration Suite require a minimum resolution of 800 X 600.

Fax Server Support

Brooktrout

The following Brooktrout analog boards are supported.

  • Brooktrout TR114 analog board, using the Brooktrout API version 4.3.

  • Brooktrout TR1034 analog board, using the Brooktrout API version 5.2.

The files required to interface with Brooktrout TR114 boards are shipped with your Oracle I/PM releases. The files include bfax.sys, btcall.cfg, dh.exe, faxinit.exe,install.exe, runfaxin.exe, tfax.exe, v101-164.pex, v202-2m.pex and winfaxdiag_tr114.exe. However, for Oracle I/PM to interface properly with the Brooktrout board, a board must be purchased from a Brooktrout reseller and properly installed.

Brooktrout has announced that TR1034 board replaces the Brooktrout TR114 board. We will continue to support the TR114, however, it will no longer be tested during product certification.

Effective March 15, 2006 Brooktrout Technology merged with Excel Switching Corporation and the new company is called Cantata Technology. See the web site at www.cantata.com. The fax boards will continue to be referred to under the Brooktrout brand name.

Gammafax

NOTE
Gammafax is no longer supported as of version 7.7.

Printers

HP LaserJet 4 and 4 Plus and the HP LaserJet 4000 series are tested and supported.

The system supports any Windows printer properly configured for the appropriate Windows environment on the Oracle I/PM Print Server.

Printer driver, PCL 6, was tested and is supported.

NOTE
Oracle I/PM is not tested with Post Script drivers and they are not supported.

Storage Devices

ANSI compatible jukeboxes are supported. Contact the jukebox manufacturer to determine whether their equipment is ANSI compliant. Each Storage Server supports one jukebox with up to fourteen (14) optical drives.

ISO standard optical drives, MO and WORM media 1.3, 2.6, 5.2 and 9.1 GB capacity are supported for optical drives, MO, Worm Media, Jukebox Media and RW Media.

ASPI 32 standard is supported rather than necessarily specific hardware. We do not provide a complete and exhaustive hardware compatibility list for the storage devices.

For LSI controllers, ASPI version 1.07.01 may be downloaded from LSI's web site, www.lsilogic.com.

The Centera Library/API is used to support Centera storage devices. See the Third Party Software topic for information about supported versions.

UDO

UDO 30 GB capacity are also supported for Jukebox Media, MO, Worm and RW Media.

NOTE
Hewlett Packard has issued a warning regarding HP StorageWorks Standalone UDO Drives and Optical Jukeboxes with the following information.

Windows operating systems may "blue screen" during boot up if media is loaded in the drive or 8192 byte/sector media. This is due to a Windows operating system limitation. A fix is available for Windows 2000 and SP Professional systems. Microsoft Security Patch KB835732 is a kernel fix for this problem.

This fix may be obtained form Microsoft support at http://support.microsoft.com/common/international.aspx. The Microsoft July 2004 Security Update on Microsoft's security website also contains this fix at http://microsoft.com/security/default.mspx.

Microsoft Knowledge Base Article 831293 references this problem. A work around is not included in the article, despite the availability of the patch from Microsoft.

HP indicates that a security patch for Windows Server 2003 will be available soon from Microsoft.

For detailed information about this issue, see the Windows and 8K devices article at http://www.hp.com/go/udo.

Snaplock Limitations

The Snaplock Magnetic Path specified in the Storage Management tool on the Volume tab may not exceed 256 characters. This is a limitation of the Windows operating system.

Volume migrations from an Oracle I/PM Snaplock volume to another Oracle I/PM Snaplock volume within Oracle I/PM are not supported.

Migrating data via System Manager with more than one Snaplock volume in the System Manager migration chain is not supported.

Migration of annotation volumes to Snaplock is not recommended; unless the annotations are to remain static (unchanged) for the duration of the specified retention period on the target volume.

Migration of magnetic volumes containing primary (documents) and secondary objects (annotations) is not recommended. If the primary and secondary objects are to remain static for the duration of the objects specified retention period on the target volume then an exception may be made.

SCSI Card

ANSI compliant and compatible with the ASPI 32 drivers.

Information follows about some specific hardware. This information is not intended to indicate a recommendation for a particular hardware.

CAUTION
Adaptec 2940, 2944 & 29160 SCSI cards may time out after 12-24 hours continuous operation on some multi-processor machines running Windows 2000 and storing to an optical jukebox. We no longer test the ASPI 32 driver from Adaptec.

LSI Logic cards, using the LSI Logic ASPI Manager, do not appear to have this problem. We recommend configuring an LSI Logic SCSI card and ASPI Manager for any multi-processor Storage Server machines with Windows 2000. We have tested the following LSI cards: LSIU40HVD and LSIU40SE. The LSI8751D was tested on previous releases and is also supported. The latest LSI miniport and LSI ASPI Manager may be downloaded from LSI's web site.

The supported ASPI driver for LSI cards tested in this release is version 1.07.01, which may be downloaded from LSI Logic's website: http://www.lsilogic.com/downloads/downloads.do?product=2336&download_type=driver

Scanners

NOTE
Check the Kofax web page at www.Kofax.com for a list of scanners and boards that are supported under the Image Controls 3.65.

Scan Client

A Kofax card is required with Kofax Image Controls 3.65 or 3.75.012. A licensed version of this software must be purchased separately from Kofax.

Utilization of Multi-Processors by Services

The Oracle I/PM backend services are designed to provide administrators with considerable flexibility in the distribution of those services across multiple server machines. All of the Oracle I/PM services operate in parallel with each other. For example, if the DSMS and Information Broker Services are configured on the same machine they will operate independently of each other. Each competing in parallel for system resources based on their configurations (number of worker threads, database connections, etc). Because these services are operating in parallel, the use of multi-processor machines can increase the overall performance of the system as the amount of CPU cycles available to each service increases.

In some cases an administrator may wish to isolate a service on a single machine to achieve specific performance benefits. When considering these types of configurations on multi-process machines it is important to consider the operating mode of the service being isolated. Some of the Oracle I/PM services perform multiple tasks in parallel while others are more sequential in their execution. The services that can perform their operations in parallel will utilize a multi-processor machine more thoroughly than those that are sequential in nature.

Parallel Operation Services

The following services can perform multi tasks simultaneously, making them ideal for isolated operation on multi-processor machines.

  • Alert

  • Audit

  • COLD-SQL Migration

  • Declaration

  • Document Index

  • DSMS

  • Export

  • Fax

  • Filer

  • Full-text

  • IIS

  • Information Broker

  • OCR

  • Print Server

  • Process Broker

  • Process Injector (*)

  • Search Management

  • Security

  • Storage

  • System Manager

  • Transact

  • User Connection Manager

  • Web Server

* Process Injector is multi-threaded but typically runs with a single thread.

Sequential Operation Services

The following services perform their tasks sequentially. These services are less likely to fully utilize a multi-processor machine.

  • Email

  • Process Transact

  • Request Broker

  • SMTP


Version - Networks and Hardware

Version Control - Networks

Your system must meet the following requirements for the network.

Limitations

See the Hardware topic for hardware requirements that must be met, such as the storage devices, SCSI cards, scanners, the scan client, printers and faxes. See the Third Party topic for information about related Third Party software versions that are required for some of the hardware.

CAUTION

  • TCP/IP is required.
  • Network cards must not be set to auto-negate.
  • Dual NICs are not supported when configured independently with separate IPs. Dual NICs are supported when teamed.

Minimum Network Capacity

Oracle recommends the following minimum capacities for the various networks connectivity within an Oracle Imaging and Process Management installation.

  1. General inter-server communication must be at least 100 Mbps.
  2. Connectivity to the Windows client must be at least 10 Mbps.
  3. Connectivity to Web clients should support 256 Kbps. The required speed is highly dependent upon usage, 56 Kbps may be sufficient.

Oracle provides two mechanisms for implementing distributed solutions in WAN environments. The first provides a means of caching documents to remote sites. Such a configuration must provide connectivity between the Distributed Cache Servers and the main Oracle I/PM Services at a minimum operating capacity of 512 Kbps.

The second mechanism enables Oracle Imaging and Process Management Storage Servers to be located remotely to support filing and retrievals at the remote sites. Such a configuration must provide connectivity between the remote Storage servers and the main Services at a minimum operating capacity of 512 Kbps.

These two mechanisms may be mixed to provide both distributed Cache and remote Storage Servers within the same installation. It is likely that in a distributed environment additional services or clients would be co-located remotely with servers. In these instances, the connectivity between the pieces at the remote site should be consistent with the recommendations above. These services will operate successfully over the recommended 512 Kbps connection, however, performance will need to be evaluated with production loads.


EIS: Overview ERP Integratipn Suite

ERP Integration Suite Release Notes

The ERP Integration Suite (EIS) must be used with the same version of Oracle Imaging and Process Management. Before starting an installation make sure that you have the same version of both the Oracle Imaging and Process Management and the EIS products.

The EIS documentation is available in electronic form and is installed during the installation of the product or is on the root of the CD. Environment requirements and instructions for installing the various Integration Tools are located in the EIS.CHM and in MS Word documents.

EIS is not compatible with any FilePower programs or files.


SDK: Overview

SDK Release Notes

This topic contains release note information regarding Oracle Imaging and Process Management Software Development Kit (SDK).

For information regarding Known Issues and Limitations with this release please refer to the Issues topics in this help file. For issues which may have been identified after the product was released please check the support web site.

For information about new functionality introduced with this release see the New Features topics of this help file.

CAUTION
This release of the SDK provides a compatible version with the current release of Oracle Imaging and Process Management. This version of the SDK is not compatible with any previous releases of FilePower®, Optika eMedia®, Acorde or Stellent Imaging and Business Process Management (IBPM). This release can not be installed over existing previous versions of the SDK. Uninstall any previous versions before installing this version of the SDK.

See the Upgrade document for information related to upgrading from previous versions of Oracle Imaging and Process Management. Contact your Oracle representative for information about upgrading versions of Acorde, Optika eMedia, FilePower or Stellent Imaging and Business Process Management (IBPM).

Install Information

This version of the SDK is not compatible with any FilePower programs or files. Contact your Oracle representative for information about upgrading versions of Optika eMedia or FilePower.

All the SDK documentation is shipped in electronic form in the AddOn\SDKHelp folder of the product download and is installed during the installation of the product. Sample project files are not installed. They are located in the AddOn\Samples\SDK Samples folder.

Refer to the Install.DOC for the steps required to install the SDK via SDKStartUp. Make sure that the previous version is uninstalled before installing the new version.

Hardware Minimums and Recommendations

See the Version Control Hardware Requirements topic for hardware specifics.

Version Control

Networks and Hardware

SDK requires TCP/IP to use the Request Broker. See the Supported Network and Hardware Requirements topic for network and hardware requirements.

Operating Systems and Database Platforms

See the System Requirements and Supported Platforms for Oracle Imaging and Process Management 10gR3 document at http://www.oracle.com/technetwork/middleware/content-management/downloads/ipm-certification-matrix-129289.pdf for information about supported operating systems and database platforms for the Toolkit Clients.

Supported Development Environments

See the Supported Development Environments topic for information about supported versions of VB, VC++ and C#.

SDK Components

The SDK contains four toolkits: Imaging, Process, Viewer and Web. The contents of each toolkit are described in the sections that follow.

The .NET samples have been developed and tested using Microsoft Visual Studio .NET 2005.

Imaging Toolkit

One of the components of the SDK is the Imaging Toolkit. The Imaging Toolkit was called the Acorde Context Toolkit prior to the IBPM 7.5 release. The following public components are contained in the Imaging Toolkit, many other supporting DLLs are also installed.

  • OTAcorde.dll (Stellent.IBPM.Interop.Common.1.0.dll)

  • OTActMod.dll (Stellent.IBPM.Interop.Common.ActionModifiers.1.0.dll)

  • OTClient.dll

  • OTContext.dll (Stellent.IBPM.Interop.Imaging.1.0.dll)

  • OTObjID.dll

  • OTTool.dll

  • Stellent.IBPM.Client.1.0.dll

Process Toolkit

The Process Toolkit contains the following components.

  • OTBPMCtls.dll (Stellent.IBPM.Interop.Process.Controls.1.0.dll)

  • OTProcess.dll (Stellent.IBPM.Interop.Process.1.0.dll)

  • OTWFDlgs.dll (Stellent.IBPM.Interop.Process.Dialogs.1.0.dll)

  • Stellent.IBPM.Process.Forms.FormContext.1.0.dll

Viewer Toolkit

The other component of the SDK is the Viewer Toolkit. The following public components are contained in the Viewer Toolkit.

  • OptPage.ocx (Stellent.IBPM.Interop.Imaging.Controls.OptPage.1.0.dll)

  • OTPrintTool.dll (Stellent.IBPM.Interop.Print.1.0.dll)

Viewer Compatibility

The Viewer control is not compatible with the FilePower product line.

NOTE
OptPage includes the method, EnableTIFFOptimization. This method is used to enable the optimized Viewer render engine to enhance TIFF handling including faster zooming and rotation, as well as better anti-aliasing.

It is not mandatory for this render engine to be enabled. In the event that this call is not made, the OptPage control will default to loading the standard version of the render engine. This method can only be used once during the execution of the application.

A developer using the SDK with the optimized render engine is required to purchase a developer’s license for the ImageLib developers product from SkyLine Tools Imaging (A division of Creative Development, Ltd.). Version 7.0 of the ImageLib Corporate Suite is being used.

Visit the SkyLine Tools Imaging WEB sight at: www.skylinetools.com. Please read the SkyLine Tools Imaging ImageLib license agreement carefully to ensure your product will comply with that agreement.

To enable the enhanced TIFF support in OptPage a developer must supply the correct key values (supplied by support) into a subroutine called "EnableTIFFOptimization". By default, if the incorrect values are passed, or the subroutine is not called, OptPage will resort to using the standard TIFF Render engine.

OptPage.EnableTIFFOptimization "PrimaryKey", "SecondaryKey"

Web Toolkit

Use the Acorde2.ASMX file to create a Web SDK application by adding a web reference to this file.


Name Changes

Oracle Names Changes

When Comparing Optika, Acorde,
Stellent Imaging and Business Process Management and
Oracle Imaging and Process Management

Oracle acquired Stellent in December 2006. The Stellent IBPM products have been renamed to more closely align with the Oracle naming scheme. The following table shows some of the name changes. The last Stellent release was version 7.6 with SP2 and the first Oracle Imaging and Process Management (Oracle I/PM) release is version 7.7.

Oracle Imaging and Process Management (Oracle I/PM)

OLD NAME

STELLENT NAME

ORACLE NAME

Acorde

Stellent Imaging and Business Process Management
Or IBPM

Oracle Imaging and Process Management
or
Oracle I/PM

Acorde <any Client Tool Name >

<Client Tool Name>

 <Client Tool Name>

Acorde <any Server Name>

<Server Name>

 <Server Name>

Acorde Adapter for OneWorld

Adapter for OneWorld

 Adapter for OneWorld

Acorde Adapter for WorldSoftware

Adapter for WorldSoftware

 Adapter for WorldSoftware

Acorde Adapter for WorldVision

Adapter for WorldVision

 Adapter for WorldVision

Acorde AppConnector

Stellent AppConnector

 AppConnector

Acorde Capture

Stellent Capture

 discontinued

Acorde Context

Stellent Image Management
Or Imaging

 Imaging Management
Or Imaging

Acorde Dashboard

Dashboard

 Dashboard
Acorde Dashboard Web Server | Dashboard Web Server | Dashboard Web Server

Acorde Dashboard Work Center

Dashboard Work Center

 Dashboard Work Center

Acorde Demo Suite

Stellent Imaging and BPM Demo Suite
Or IBPM Demo Suite

 discontinued
Stellent IBPM SDK Update Wizard | SDK Update Wizard

Acorde Desktop

Stellent Workgroup for Imaging and Business Process Management
Or Stellent Workgroup for IBPM

 discontinued

Acorde Integration Tools SOAP Services SDK

Stellent ERP Integration Tools SOAP Services SDK
Or SEIS SOAP Service SDK

 Web Services

Acorde Office Integration

IBPM Office Integration

 Office Integration

Acorde Payables QuickStart AP

Stellent Payables QuickStart AP

 Payables QuickStart

Acorde Process

Stellent Business Process Management
Or Process
Or BPM

 Process

Acorde Process Map

Process Map

Process Map

Acorde Product Family

Stellent Imaging and Business Process Management System
Or IBPM System

 Oracle Imaging and Process Management System
Or Oracle I/PM

Acorde Research Wizard

IBPM Research Wizard

 Research Wizard

Acorde SDK Toolkit

Stellent Imaging and BPM SDK

 Software Development Kit
or
SDK

Acorde Service Configuration

IBPM Service Configuration

 Service Configuration

Acorde Service Manager

IBPM Service Manager

 Service Manager

Acorde Web

Imaging and Business Process Management Web
Or IBPM Web
Or Web

 Oracle I/PM Web
or
Web

Acorde Web SDK

IBPM Web SDK

 Web SDK

Acorde Web Services

IBPM Web Services

 Web Services

Acorde WebView

WebView

 WebView
Acorde.LIC | IBPM.LIC | IBPM.LIC

AIT Map Tool

SEIS Map Tool

Map Tool

Acorde.msc

IBPM.msc

 IBPM.msc

Copyright *

Copyright Stellent Colorado Springs Inc. All rights reserved.

 Copyright © 1998, 2007, Oracle. All rights reserved.
CurrentAcordeUsers.log | CurrentIBPMUsers.Log | CurrentIBPMUsers.Log

My Acorde

My Workplace

 My Workplace
NT Group | Microsoft Windows Security Group | Microsoft Windows Security Group

Optika, Inc.

Stellent, Inc.

 Oracle

Optika Administrator

IBPM Administrator

 IBPM Administrator
Optika Common Server Architecture | IBPM Server Architecture | Oracle I/PM Server Architecture

Optika.exe

IBPM.exe

 IBPM.exe

Optika Renamer.exe

IBPMRenamer.exe

 IBPMRenamer.exe

OptikaS.exe

IBPMServer.exe

 IBPMServer.exe

OptikaStartUp.exe

IBPMStartup.exe

 IBPMStartup.exe

Process

BPM
or Process (Depends on usage)

 Process

Process Automation through Acorde Web Services (PAAWS)

Process Automation through Web Services (PAWS)

 Process Automation through Web Services (PAWS)
ToolkitContext

ToolkitImaging

 ToolkitImaging
ToolkitProcess

ToolkitBPM

 ToolkitBPM

Work Center

Work Center

 Work Center

WorkFlow

BPM
Or Process

 Process

Folder or Paths

OLD NAME

STELLENT NAME

ORACLE NAME
AcordeData | IBPMData | IBPMData
AcordeData\
AcordeSessionData 		IBPMData\IBPMSessionData IBPMData\IBPMSessionData
AcordeData\
AcordePreferencesData 		IBPMData\IBPMPreferencesData IBPMData\IBPMPreferencesData
AcordeInfrastructure
Defaults.asp 		IBPMInfrastructureDefaults.asp IBPMInfrastructureDefaults.asp
AcordeInfrastructure
DefaultsOptika.asp 		IBPMInfrastructureDefaultsStandard.asp IBPMInfrastructureDefaultsStandard.asp
AcordeWeb | IBPMWeb | IBPMWeb
AcordeWebAlias | IBPMWebAlias | IBPMWebAlias
AcordeSV | StellentIBPM | StellentIBPM
AcordeXMLTranslations | IBPMXMLTranslations | IBPMXMLTranslations
CD Image
\SourceFiles\
  • FullTextIFilters
  • Indexes
  • Samples
  • DBTools
  • DSMS
  • Web
 CD Image
  • \AddOn\FullTextIFilters
  • \AddOn\Indexes
  • \AddOn\Samples
  • \Docs\DBTools
  • \DSMS
  • \Web
 CD Image
  • \AddOn\FullTextIFilters
  • \AddOn\Indexes
  • \AddOn\Samples
  • \Docs\DBTools
  • \DSMS
  • \Web
Log File Names
AcordeWeb_* 		IBPMWeb_* IBPMWeb_*
\Inetpub\wwwroot\
AcordeDashboard 		\Inetpub\wwwroot\IBPMDashboard \Inetpub\wwwroot\IBPMDashboard
\Program Files\Optika\Acorde | \Program Files\Stellent\IBPM | \Program Files\Stellent\IBPM
Services Installed Default Directories
\AcordeSV\SourceFiles\
  • FulltextIFilters
  • Indexes
  • Samples
  • DSMS
  • Zip
 Services Installed Default Directories
StellentIBPM\
  • AddOn\FulltextIFilters
  • AddOn\Indexes
  • AddOn\Samples
  • DSMS\MasterFiles
  • DSMS\Zip
 Services Installed Default Directories
StellentIBPM\
  • AddOn\FulltextIFilters
  • AddOn\Indexes
  • AddOn\Samples
  • DSMS\MasterFiles
  • DSMS\Zip
\SourceFiles | \MasterFiles | \MasterFiles
Start | Programs | Optika | Acorde StartUp | Start | Programs | Stellent IBPM | IBPM StartUp | Start | Programs | Oracle | Oracle I/PM StartUp

Stellent ERP Integration Suite

OLD NAME

STELLENT NAME

ORACLE NAME

Acorde Integration Tools (AIT)

 Stellent ERP Integration Suite (SEIS)

ERP Integration Suite

AIT

 Stellent ERP Integration Suite (SEIS)

ERP Integration Suite
Acorde Application Link | SEIS Application Link | Application Link
AIT Configuration Tool | SEIS Configuration Tool | Configuration Tool
AIT Map Tool - Application Link Adapter | SEIS Map Tool | Map Tool
AIT Process Automation | SEIS Process Automation | Process Automation
SEISStartUp.exe | SEISStartUp.exe
Security Tool Tabs
  • SEIS Maps
  • SEIS Solutions
 Security Tool Tabs
  • EIS Maps
  • EIS Solutions

Stellent Adapter Names | Oracle Adapter Names
IBPM Client Search | Imaging Client Search
IBPM Client Process Update | Client Process Update
IBPM Client Process Data | Client Process Data
IBPM Process Data | Process Data
IBPM Context Update | Imaging Update
GUI400 Data | GUI400 Data
JDE OneWorld Data | JDE OneWorld Data
JDE OneWorld Update | JDE OneWorld Update
eCapture Update | eCapture Update
GUI400 Update | GUI400 Update
IBPM Web Client Search | Imaging Web Client Search
IBPM PkgBar Data | Imaging PkgBar Data
IBPM PkgBar Update | Imaging PkgBar Update
HLLAPI Update | HLLAPI Update
HLLAPI Data | HLLAPI Data
IBPM Process Update | Process Update
Great Plains Data | Great Plains Data
Great Plains Update | Great Plains Update
Oracle Apps Data | Oracle Apps Data
Context Document Retrieval | Context Document Retrieval
PeopleSoft Data | PeopleSoft Data
PeopleSoft EnterpriseOne Data | JDE EnterpriseOne Data
PeopleSoft EnterpriseOne App Link Data | JDE EnterpriseOne App Link Data
PeopleSoft EnterpriseOne App Link Update | JDE EnterpriseOne App Link Update


7.7 New Features

New Features 7.7

This topic includes information about the following new features:

  • BPEL Injector
  • Client Toolbar
  • EIS Peoplesoft Express Search for 7.7
  • Export Server
  • Fax Server
  • GenCfg GUI
  • Intelligent Routing
  • MIMI Utility Retired
  • My Checkouts Tools
  • Optional Local Query Processor on Information Broker
  • Page Manager Tool
  • SDK Installation
  • Snaplock Retention Dates
  • Storage Server
  • Storage Independent Volumes (SIV)
  • User Connection Manager
  • Web Express

License files are no longer needed to enable components of Oracle Imaging and Process Management. Previous licenses that included Capture licenses will still be needed if Capture is still implemented. All other Oracle components are now licensed according to Oracle licensing policy and no license files are required.

Some features are only supported as upgrades from prior installations. See the Retired section for details.

BPEL Injector

An integration between Oracle I/PM and BPEL is now available.

BPEL Injector is a Service that configures the polling between the Imaging environment and the BPEL environment. Administrators may define the Injector to poll specific Applications. Based on conditions being met, filed objects in Imaging can be accessed in the BPEL environment by creating a new Process instance.

BPEL Injector provides the ability to have instances created into a BPEL process. When the machine is configured to be a BPEL Injector, a connection is established to the Information Broker.

See the Install.doc for additional information about this integration.

Client Toolbar

The Windows client now displays a toolbar next to the gallery name. This toolbar provides quick access to tools with a single click. Only the tools that are available in the selected gallery are listed in the toolbar.

EIS Peoplesoft Express Search for 7.7

Express Search for Peoplesoft has been modified for 7.7. This implementation only requires one node rather than two. Log settings are moved to the configuration level rather than the coding level.

Export Server

An option has been added to Export Server. This option is configured in General Services Configuration, GenCfg.exe. The option is called Distribute Export Requests among Separate Processes. The feature is turned off my default.

Until set, this box is not checked, and export requests are processed in the same way that they have been in previous releases. When the feature is selected, each export request is delegated to an external process running on the same server machine. The document(s) are exported from Process and the results are returned to Export Server to be sent back to the requestor.

After changing this setting the Export Server must be restarted for the new selection to take effect. To better facilitate restarting the server (previous versions required stopping and restarting all of the Oracle I/PM servers) the Oracle I/PM Service Manager now includes Restart Tool on the Commands tab for Export.

Export Server supports a configurable Number of Worker Threads. Under heavy export loads, performance degrades as multiple request threads compete for exclusive resources in the process. Processing requests out of process, with this new option, eliminates this particular problem.

Fax Server

The Fax Server uses Queue Management to manage fax requests by priority. Each server can be given a different priority ranging from none to maximum.

The Fax Server specifies a Queue Directory which is the path for the server's request queue. To add or modify the path of the queue enter the complete path in the Queue Directory field. For example: C:\STELLENT\FAXQUEUE

Several diagnostic tools are available with BrookTrout Fax Boards. See the Fax Server topic in the Admin.PDF for detailed information about these tools.

General Services User Interface

The user interface for General Services Configuration (GenCfg.EXE) has been changed from tabs to a list box with dialogs. Several servers have been separated so that they are no longer combined on the same screen. Audit and Alert are no longer combined. Security and User Connection Manager configuraiton is now done on now separate dialogs. SMTP and SMS are now configured in individual dialogs.

Intelligent Routing

Intelligent Routing allows multiple Request Brokers to be aware of each other and the cost to route messages between Oracle I/PM domains. Depending on the cost, messages are automatically routed to optimize performance when Intelligent Routing is configured.

My Checkouts Tool

The new My Checkouts tool is used with the document management features of the Oracle I/PM client. It is an easy way to find and edit the documents that are currently checked out.

Optional Local Query Processor on the Information Broker

On previous releases, Information Broker required the installation of Microsoft SQL Server as a local query processor. As of Oracle I/PM 7.7, installing MS SQL Server as a local query processor on the Information Broker is optional.

The option to configure Information Broker with a local query processor is still available, but it is only needed if the following features will be implemented.

  • Full-Text Indexing and Searching
  • External data searching retrieval
  • DOD certified Records Management

Page Manager Tool

The Page Manager tool is used to manage TIFF documents and pages within imaging applications. Using the drag and drop graphical interface, the Page Manager component allows the administrator to quickly perform append, insert, and delete page operations as well as create and delete document operations. Similarly, pages of a single document may be re-ordered. The administrator may work with TIFF pages from their local file system or the pages of existing I/PM TIFF documents. Documents are presented in thumbnail view, and multiple documents can be displayed side-by-side for the collaborative management of their pages.

SDK Installation

The SDK installation is no longer a separate CD/image, it is part of the core I/PM image. To install the SDK onto a machine, DSMS must first be configured to deploy SDK via SDKStartup; see installation document for more information. Once DSMS is configured properly, run SDKStartup.exe on the desired machine and the SDK will be installed.

Snaplock Retention Dates

SnapLock devices using versions of ONTAP older than 7.1 can only specify a retention period up to January 19, 2038. ONTAP 7.1 and older have extended this range to January 19, 2071. Enabling this option allows objects to be stored with a retention period beyond 2038.

Before this checkbox is enabled, ensure that all of your SnapLock devices are using ONTAP 7.1 or latter. NetApp achieved this date extension by remapping past date ranges, so saving an object with a retention past Jan 18, 2038 on an ONTAP 7.0 or previous device will result in an invalid retention period and objects will be eligible for deletion before the intended period.

Storage Server

Storage Server now includes a configuration option in GenCfg to Enable Optical Drive Cache. This option is used to manipulate the onboard optical and jukebox drive caches for reading and writing. Almost all drives use a form of onboard cache to increase read and write performance. If the checkbox is turned on, the drive performance will improve. However, when using the drive cache certain drive errors may result in the objects sitting in the drive cache not being written to the platter and lost. If this option is disabled, the drive performance will be slower but all writes will go directly to the platter medium and drive failures will be detected by Storage Server. Storage Server prevents data loss in the case of drive failures. The level of performance enhancement or degradation depends on the individual drives and can range from a slight difference to a significant performance change in read and write times. The checkbox also has a third state that will cause Storage Server to not set the drive cache parameters and will leave them at the manufacturer’s default setting. This third state is the default setting.

Storage Independent Volumes (SIV)

Oracle I/PM now supports Storage Independent Volumes (SIVs) for retrieval or read access. This is configured with a server setting and is not volume specific. SIVs are volumes that may be accessed via a UNC from any SIV enabled Storage Server. Storage Independent Volumes (SIVs) allow magnetic, Centera or Snaplock volumes to be serviced by any available Storage Server.

This feature provides access to storage volumes over networks via any Storage Server rather than a single Storage Server. Using SIVs increases system reliability by providing redundancy when SIVs are enabled on multiple Storage Servers.

For additional information see the New Features Storage Independent Volumes (SIV) topic.

User Connection Manager

License files are no longer needed to enable components of Oracle Imaging and Process Management. Previous licenses that included Capture licenses will still be needed if Capture is still implemented. All other Oracle components are now licensed according to Oracle licensing policy and no license files are required.

Web Express

For information about the Web Express see the New Features Web Express topic.

Retired

The following features are only supported when upgrading from prior versions of IBPM. These features are not supported with new installations.

  • Stellent FRM
  • Stellent FRM Web
  • Stellent Capture - This product is no longer available directly from Oracle.


7.7 Proces New Features

New Features Process 7.7

This topic includes information about new features in Process.

Process

Add Comments Action Module

A new action module is now available that allows an administrator to specify a comment to be added to the package. The comment is added to the package at action execution.

Previously, modify package field scripts could only be configured to modify a single package field to a literal or another package field.

Add Comments Dialog

The Add Comments dialog has a new option to Reuse Last Comment. Selecting this option will cause the comment field to be populated with the previously entered comment.

Builder Action Operations

With the addition of actions within Builder, there are additional operations that can be performed. Builder allows designers to test actions from within Builder without requiring apply. Actions can also be validated separate from process compilation.

Builder Live Actions

Live Actions are now supported in Builder. Live Actions allow process administrators to specify actions as live within Builder. An action specified as live allows the Process Managers to change the action configuration from the Live Action Manager tool in the Oracle I/PM client.

Custom Action Modules / Form Wizard Support

Oracle I/PM now supports creating custom action modules and custom form wizards to be plugged into Builder. This allows easy customization of the product to better suite business needs.

Delegate Packages to Other Users

Packages may now be delegated to other users. Package delegation is done via the Route to User operation. The dialog allows the user to specify the package is to be returned to the sender. The dialog also includes a new comments field to include comments to the delegated user. The comments appear in the history of the package.

Form Wizard

New form wizards have been created. The new form wizards allow the creation of C# or VB.NET Windows Forms. Forms can also be modified to include supporting files. This allows heavily customized forms to self-deploy supporting files. C# ASP.Net forms may be created for deployment in the Oracle I/PM Web Express client. See the Web Express help for additional information about the three wizards.

Forms - Multiple File Support

All Process forms can now be associated with supporting files. Any supporting files will be deployed with the form on the client.

Monitor Reports

Monitor now uses Crystal Reports version 11.5. Reports will behave slightly differently than in previous versions and will launch into a Crystal Reports dialog. Report prompting now uses built in Crystal Reports functionality.

Package Bar Tool

The Package Bar Tool has been enhanced with additional operations such as the ability to add/modify attachments, Route To User, Route Ad Hoc, View Map and Package Search. Package Bar now fully supports Process Security Preferences to enable/disable all buttons on the tool. A new Send to Package Bar feature has been added to the WorkList, Inbox and Package Search tools. This allows users to select any package(s) returned by a profile and send them to be worked in the Package Bar.

Package History Dialog

The package history dialog has two new buttons (Print.. and To Clipboard). These new options allow users to extract package history details. This dialog has also been modified to save size and position.

Package Route Dialog

The Ad Hoc Route dialog now retains the size and position of the dialog. This dialog is displayed when a user chooses the Route Ad Hoc operation on a package.

Package Viewer and Package Bar

The Package Viewer and Package Bar tools have been modified to show attachment icons based on the mime type of the attachment. If the mime type has a registered application on the client machine, that icon is used. If the application is not registered, a standard icon is used.

Process Map Enlarged

The size of the Process Map has been enlarged. More events may now be placed on the map when using Builder.

Scripts to Actions

All scripts are converted into action modules in Oracle I/PM. All script wizards have been rewritten using .NET technologies. All actions will execute as they did previously with scripts, but there are some configuration changes that may be needed. Upon upgrade, Print File scripts are converted to Print Document actions and will require the configuration of a printer. Similarly the Print/Fax Object scripts are converted to Print/Fax Document actions and may require additional configuration.

SDK Startup

Oracle I/PM SDK is now available with the product suite instead of as a separate install. Within DSMS there is an option to stamp a SDKStartup.exe which can be used to install the SDK files to any machine.

Separation of Process Manager Rights

Two of the Process Manager’s rights have been separated to allow managers, who are not Process Managers, to perform Unlock and Route to Event operations on packages. These rights are assigned via the Process tab in the Security tool.

UCM Integration

Oracle I/PM and UCM are integrated through standard action modules in Builder.

Process Broker

Action Timeout

When configuring Process Broker it is now possible to specify the maximum amount of time, in seconds, that is to be spent on an action execution. To allow a specific action more time, configure the action properties within Builder.

Multi-Threaded Threshold Processing

Process Broker now supports multiple threads for threshold processing. This will allow many more thresholds to be processed per Process Broker.


7.7 New Features Storage Independent Volumes

New Features SIV

Storage Independent Volumes (SIV)

Oracle I/PM now supports Storage Independent Volumes (SIVs) for retrieval or read access. This is configured with a server setting and is not volume specific. SIVs are volumes that may be accessed via a UNC from any SIV enabled Storage Server. Storage Independent Volumes (SIVs) allow magnetic, Centera or Snaplock volumes to be serviced by any available Storage Server.

This feature provides access to storage volumes over networks via any Storage Server rather than a single Storage Server. Using SIVs increases system reliability by providing redundancy when SIVs are enabled on multiple Storage Servers. When SIV is enabled on multiple Storage Servers the volumes will be accessed in a round-robin manner, depending on which Storage Server received the initial request from Request Broker.

Storage Servers should only be enabled for SIVs when there are two or more Storage Servers on a primary or central location. Enabling SIVs across a WAN will degrade performance. To obtain optimal results, enable SIV on all primary or central Storage Servers.

After installing the new version of Oracle I/PM, select Storage in GenCfg to enable SIV by selecting the Support Server Independent Volumes. Restart the Storage Server after changing this configuration.

When SIV is not enabled each volume is owned by a particular Storage Server. All read requests for objects on a particular volume must be routed through the specific Storage Server. When a Storage Server is down, all volumes owned by that Storage Server are temporarily unavailable.

When SIV is enabled, objects may be retrieved by any Storage Server that has SIV enabled.

All SIV enabled Storage Servers must have access to the UNC path of all magnetic volumes and al Snaplock volumes. All Centera volumes must be configured the same way.


7.7 New Features IBPM Express

New Features Web Express 7.7

Web Express is a streamlined version Web that provides basic Oracle Imaging and Process Management functionality for running searches and viewing documents and working with packages. Web Express is fast and easy to configure. It is great for users who do not require the full document imaging feature set found in Oracle Imaging and Process Management Web.

Web Express is installed with the Web client. Large numbers of the Web Express client may now be hosted on a single Web Server.

NOTE
See the WebExpress.CHM, under the Help folder, for complete information about Web Express. This information is also available in the online help file for Web Express.

Although Web Express was designed for read only access, users have the ability to edit annotations via the Oracle Imaging and Process Management Viewer when using Full Seat Licenses.

The Package Viewer Tool is the focal point of the Web Express Client. Web Express includes the following functionality.

  • Search Form Tool
  • Search Results Tool
  • Viewer Plug-in Tool
  • Image Viewer Tool
  • Application Viewer Tool
  • Process Inbox Tool
  • Process Profile Tool
  • Process Package Viewer / Package Bar Tool
  • Navigation

Client

The Web Express Client runs on Windows, Macintosh and Linux environments and is supported with Internet Explorer, Firefox and Safari. See the ReleaseDocs.CHM for specific tested and supported version numbers.

The new Web Express client has been implemented in layers which consist of the Web user interface and the Web Support Server. The Web client is customizable.

The Web Client presents frames to the user. A navigation area appears on the left and a content area is on the right.

Navigation Area

The navigation area includes a title area at the top of the frame and a navigation tree in the lower portion of the frame. The navigation tree includes a child frame for the navigation list at the very bottom of the navigation area.

Content Area

The content area includes a content title are the top of the frame, a toolbar just below the title and a tool content frame in the lower portion of the frame.

Custom Layout options are now supported. This is done through the use of style sheets and customizable panes. Style sheets may be used to specify things such as font style, sizes and colors. Image size may be changes through a standard style sheet.

The Web Support Server Configuration file is used to specify which items are to be shown in the tree and list. Standard items may be removed using this configuration file. New items, conforming to a predefined format, may be added. These new items may link to user created assemblies.

URL Addressable Tools Definition

The system exposes an URL addressable interface. URL addressable tools, that are backwards compatible to the previous system, are exposed, which allows previous URL based integrations to continue to function.

External HTML Package Forms

External HTML Package Forms use a mechanism allowing standard HTML Forms to be posted to a form receiver on the Express Web Server to invoke some Oracle I/PM functionality. This form receiver is referred to as a Document Action Processor and can be extended through the creation of new Document Actions on the Web Support Server (WSS). In this case the HTML form can be filled out with package information, posted to the web server and processed to create a package.

The Document Action Processor does not require the user to login. Rather, it uses a component in the WSS activation stack called the CommonUserProvider. The username and password used by the login can be configured on WSS. The user will be logged in, the HTML Form will be processed and the user will be logged out. This provides a very light weight integration mechanism for the creation of BPM Packages on the web. To configure the WSS CommonUserProvider Activation Provider modify the WSS Configuration file parameters in the appSettings section.

Localization

Internationalization will be supported using resource files that will be bound to the controls shown to the client, including text and other page elements. The Web Express Client supports localization into double byte languages.

The user's regional settings are used to determine display formats. Regional date, currency, number format and other items are supported by server and client format specifications. The dates, numbers, and other items are sent through standard Microsoft controls for formatting per the server’s configuration prior to output on the web page. Unformatted dynamic data sent to the client will be formatted using standard JavaScript formatters to format them specific to the user’s region.

Package Attachments

Web Express allows attachments to be added to packages from both the Inbox and the Package Bar.

The Package Bar / Viewer Tool supports the ability to view a single package as well as a list of packages. The Multi-Package mode will operate from a list of packages passed from a caller such as the Process Inbox or Work List. It also supports the ability to use a Process Profile for content.

To add an attachment to a package, either navigation to the user inbox or view the package in the Package Bar. Both of these tools allow a user to add a package attachment.

From the Inbox, select the item to add the attachment to by selecting the checkbox on the row. Next select the Add > drop-down from the menu and select Add Attachment. If the user has rights to add attachments to the package the add attachment dialog will open.

From the Package Bar Tool, select the Add > drop-down from the menu and select Add Attachment. If the user has rights to add attachments to the package the add attachment dialog will open.

Image Viewer

Page Jump Tab Menu

The Image Viewer tool accumulates information about visited paged of a document. This information is placed in a menu on the image tab. As the user navigates through pages or sections, they are added to this drop-down menu. This allows easy navigation between non-sequential pages.

Zoom to Selection

The Zoom to Selection feature is accessed through the Zoom drop-down menu. Select this option and an area of the image. As soon as the selection is completed, the selected area will zoom.

Process Inbox

The Web Express user is provided access to their Process Inbox. This tool provides many operations that can be applied to the packages in the Inbox while viewing the Package Inbox. There are also general Process operations that are available from the Inbox (such as creating a new package).

The Web Express Inbox tool provides access to lists of packages that are in the users BPM Inbox. Operations can be performed on these packages directly in the list or a user can open a package for viewing.

Plug-In Integration

The Oracle Imaging and Process Management Viewer Plugin provides the user with the ability to view and annotate documents in the Web Express client. The interface and functionality are similar to the Windows client Viewer tool. The plugin component is a .NET Windows Forms Control that can be hosted in pages displayed by Microsoft Internet Explorer.

The Viewer Plugin control contains the same Viewer control that is hosted in the Windows client Viewer tool. The standard communication mechanism is replaced with an HTTP relay mechanism to provide the same operation and experience for the end user.

Because the control is implemented with .NET technology and is hosted by Internet Explorer, Code Access Security (CAS) restrictions apply. The plugin control requires Full Trust permission to operate. Internet Explorer does not provide a Full Trust environment, so adjustments to each client machine’s .NET Framework 2.0 Configuration must be made to grant Full Trust permission to the plugin.

Process Profile Search Results

The Web Express user is provided access to Process Profile Results through the Worklist Tool. This tool provides many operations that can be applied to the packages in the Worklist while viewing the package Worklist. Some general Process operations are available from the Worklist (i.e. define a new process profile).

The Web Express Worklist tool provides access to lists of packages that are found using the Package Search tool. To generate the list of packages use the Package Search tool to generate a Profile definition. Executing that profile opens the Worklist. Operations can be performed on these packages directly in the list or a user can open a package for viewing.

Search Results

The Web Express user is provided access to Imaging search results through the Search Results tool. This tool provides many operations that can be applied to individual rows in the search results. Some general Process operations are also available from the Worklist (i.e. define a new process profile).

The Web Express Search Results tool provides access to lists of packages that are found using the Searches tool. To generate the search results you must first use the Searches tool to create a search definition. Executing that search opens the Search Results. Operations can be performed on the search results directly in the list or a document may be opened for viewing. This topic summarizes the available functionality in the Search Results.

General Imaging operations are not available from the Web Express Search Results.

Security and Single Sign-on Support

  • Security is easily configured in the Oracle I/PM Administrator tools and exposed to the web via an extension to the Microsoft Membership Provider model. This has made security management very easy since Microsoft manages protected user access seamlessly and automatically, without unnecessary checks on the server for access. The Microsoft Membership Provider model allows for configuration of users and roles through our custom provider, and we allow Administrator access to configure options that are not available to Users.
  • Single sign-on is possible through Microsoft, third-party and proprietary tools.
  • Malicious data scripting will be blocked due to escaping on the client and server sides, so clients will not be able to embed script in forms and have them run when pages are executed.
  • Cross-site scripting will be handled by the client event message forwarding system, so frames that are not from the main system’s domain will not receive data and other messages circulating in the client system.
  • Additionally, frame and JavaScript security concerns can be addressed by choosing an interface mode that does not include them.

XML Menu Customization

The Web Client provides an extensible interface for defining menus and toolbars that can be altered by customers to fit their needs.

In the XML file the following sets of attributes may be specified for both menu items and toolbar buttons.

  • Text / Text Resource Identifier
  • Icon
  • Description Text
  • Click Behavior
  • Sub-Menu Contents
  • Action (required)
  • Handler

The standard system for setting up rules for a web application includes verbs. Standard ASP .NET web configuration file verbs are re-used. This includes clear, add and remove. ASP.NET ships with many default rules in place for things like security handlers, HTTP request handlers and more. Individual applications built using ASP.NET can override, add to or remove these rules using these verbs.

A new rule called insert will insert a menu item at the current level. It will also take an action as its parameter to tell the system where to insert the menu item, as well as whether to put the new item before or after the reference item.

The root will be a menu element without attributes. Under it can be any number of clear, add, insert, remove, and lower-level menu items. The add, insert, and menu sub-elements can contain any and all of the items that the root menu element type can. Repeat as necessary.

The menu customization system relies on a certain manner of file naming and placement. Files are opened and processed based on whether they are for toolbars or menus. Context menus are given the most extensive customization system since their customization can depend on the MIME type and Provider ID of items selected in display lists.

All of the menu specification files are located under the Menus directory, which can be found under the MembersOnly directory of the main directory of the web server application files. In the Menus directory, there are three main subdirectories, Imaging (for context menus shown for imaging lists), Process (used to populate menus for process or package lists), and WebTools (which contains the definitions for toolbars in the web tools).

The WebEx.CHM help file describes the format and file system placement of the XML files used to accomplish this task.

There are rich and varied opportunities for menu and toolbar enhancements. Following the simple rules of XML document format, rules specification, file naming and placement will enhance custom implementations of the Oracle Imaging and Process Management Web Client software and connect users to data according to client needs.

Web Support Server

The Oracle Web Support Server (WSS) is a new server developed to support the lightweight Web Express application. All UI logic for the Web Express client, dealing with data and manipulation of data, is implemented in WSS. Examples include running Imaging Searches, seperating those searches into pages and navigating those pages.

Some of the benefits of encapsulating UI business logic into a non UI architecture include the following list of items:

- The ability to move that logic to a server separate from the IIS Web Server.
- The Abstraction of the SDK Layer
- Generalization of SDK concepts simplify the UI layer
- The IIS layer is a full .Net solution
- The UI layer becomes a thin shell over the UI business logic
- Rapid redesign/reimplementation of the UI shell
- Simplification of verticalized UI generation
- Web Service can be provided accessing the state of the UI
- Drive data into the UI’s state.
- Pull data from the UI’s state.

The Web Support Server runs as an NT service and can be configured and administered through the Web Express user interface with a user account that has a web administrator role. This service is set to start automatically when installed and is not administered or monitored through the I/PM management tool.


Help Tips

Help File Tips

These tips aid in use of the CHM compiled help file.

CAUTION | Indicates some REQUIRED configuration or platform.
NOTE | Indicates an OPTIONAL configuration or platform or a technical tip or important note.
Back | Use the Back button on the browser toolbar of the online help. Back returns the display to the previous help topic displayed in the help file.
Favorite Tab | Select a desired topic in the right pane and then select the Favorites tab to mark this page for quick reference later. Once selected, these Favorites are not portable to other machines, however, they will remain set even after the current machine is rebooted.
Links | Blue underlined text are links. Clicking on a link causes the contents of the viewing window to change to the destination of the link.
Locate Button | After searching, the search will return a list of topics, select a topic on the left to see the contents displayed in the pane to the right. After clicking in the right pane of the displayed topic, select the Locate button at the top to see where this topic is located in the table of contents.
Table of Contents | The table of contents displays on the left while the viewing window on the right displays the content information. Items in the Table of Contents may be expanded or collapsed by clicking on them. Double clicking causes the topic to be displayed. The Table of Contents, Index and Find tabs may be Hidden or Shown using the toolbar icon or the menu option.
Printing a Topic | When printing a topic, make sure the topic you want to print from the table of contents displays in the window on the right and that you have clicked in that window with the mouse to select that topic. For specific printing tips see the Welcome topic.
Printing Multiple Topics | Select the topic to print in the Table of Contents. Select Print and then select to Print ahe selected heading and all subtopics. This will cause all topics listed under the selected topic in the Table of Contents to print one time.
Search Tab | The Search tab allows a string to be entered and then the entire help file to be searched for that string. If two words are to be searched for independently, enter the words. If the two words are to be searched for only when they appear together, enter the words in quote marks. If the first search returns more results than desired, click the Search Previous Results check box at the bottom of the Search pane and enter another search string to further refine the search. Don't forget to uncheck the Search Previous Results check box before doing another unrelated search.


Version - Third Party

Version Control - Third Party Software

Topics on this page include information about third party software products. The Miscellaneous Notes section includes various comments about different configuration options.

Due to the technical nature of browsers, web servers and operating systems, Oracle can not warrant compatibility with all versions and features of third-party products.

Third Party Software Versions

MDAC

Oracle Imaging and Process Management Component | MDAC 2.71 SP1a - 2.71.9030.9 (1) | MDAC 2.71 SP1a - 2.71.9040.2 | MDAC 2.8 SP 1 - 2.81.1128 (2) (4) | MDAC 2.8 SP 2 - 2.82.3959 (3) | MDAC 6.0 - 6.0.6000.16386 (5)
Windows Client | T / S | T / S | T / S | T / S | T / S
Servers (3) | NT / S | NT / S | T / S | T / S | NT / N S

NOTE
1. Oracle Imaging and Process Management automatically installs MDAC 2.71 SP 1 (2.71.9030.9) with SQL Server ODBC Driver 2000.81.9030.04.
MDAC Security Patch MS04-003 must be manually installed from Microsoft. Read the article from http://www.microsoft.com/technet/security/bulletin/MS04-003.mspx. When installed, the SQL Server ODBC Driver version is updated to 2000.81.9042. Oracle Imaging and Process Management has been tested with this version of SQL Server ODBC Driver. We are not aware of any problems running Oracle Imaging and Process Management with MDAC 2.71 SP 1 or MDAC 2.71 SP 1a.

2. For the Information Broker Local Query Processor MDAC version, the MDAC version is 2.81.1128, unless it is running Windows 2003 SP 2 which uses the version noted below in item 3. We are not aware of any problems running Oracle Imaging and Process Management with MDAC 2.71 SP 1 or MDAC 2.71 SP 1a.

CAUTION
3. Servers running Windows 2003 Server with Service Pack 2 have been tested with MDAC 2.82.3959. Do not attempt to replace a newer MDAC with an older version of MDAC.

4. Oracle Imaging and Process Management Window clients running on Windows XP Service Pack 2 have been tested with MDAC 2.81.1117.0 which ships and installs with Windows XP Service Pack 2.

5. Oracle Imaging and Process Management Windows clients running on Windows Vista have been tested with MDAC 6.0.6000.16386 which ships and installs with Vista.

ABBYY FineReader

Oracle I/PM 7.7 requires ABBYY FineReader version 9.0 for OCR capabilities. Please contact ABBYY at www.abbyy.com for information on acquiring this software.

Adobe Acrobat Distiller

Export Server was tested and is supported with the following:

  • Adobe Acrobat 7.0 Distiller

  • Adobe Acrobat 6.0 Distiller

CAUTION
PDF viewing, in the PDF Viewer on the Web Client, requires Adobe Acrobat Distiller. The Adobe Acrobat Distiller must be running on the Export Server to convert documents to the PDF viewable format. Test your PDF documents prior to implementation. Some PDF files may not view properly in the viewer.

The online help files are provided in Adobe PDF format. An Adobe Acrobat Reader must be installed to view the User.PDF and Admin.PDF help files.

Centera

For technical details about Centera volumes please visit the Centera web site at www.emc.com.

CAUTION
Use of a Centera volume requires a license file with Centera support enabled.

The Centera Library/API is used to support Centera storage devices.

The 7.7 version of Oracle Imaging and Process Management supports Centera Library/API 3.1.

The 7.6 version of Stellent Imaging and Business Process Management supported Centera Library/API 2.3.3.15, which is backwards compatible with the 2.2 and lower Centera cluster.

Centera libraries installed with 4.0 SP 3 are version 2.3.315.0.

Kofax Image Controls

Oracle Imaging and Process Management Scan Client was tested and is supported using Kofax Image Controls 3.65 and 3.75.012. The Kofax integration was tested with Ascent Capture 7.0 Service Pack 1.

Contact your Oracle representative for Kofax Ascent Capture Release Scripts for Acorde 4.0 and later. Release scripts are available from Oracle for Kofax Ascent Capture for Acorde 3.0 or 3.1. If Kofax Ascent Capture is installed on Windows 2000, the hardware runtime must be updated.

LEADTools Viewer

When Oracle I/PM includes filed JPEG compressed TIFFs (Group 6 TIFFs), the default configuration of Web Support Server must be modified to use the LEADTools viewer implementation.

To configure WSS to use LEADTools run the following configuration tool on the Web Support Server machine (normally the IIS machine):

C:\Program Files\Stellent\WSS\WSSConfigEditor.exe

On the Settings tab right click and edit the Application Setting:

WebSupportServer.DefaultUserSetting.DocumentViewer.DocExporterUseLeadTools

Set the value of this to true. Close the configuration editor. This will save the setting and restart the Web Support Server. After logging in to Web Express, the JPEG compressed TIFF images will be available for viewing.

OIVT Filter Files

Oracle Imaging and Process Management 7.7 uses Oracle's OIVT filter files version 8.1. These filter files determine what file formats the Viewer supports for rendering.

  • IBPM 7.6 and 7.6 with SP 1 use Stellent's OIVT filter files version 8.0. (Stellent was purchased by Oracle.)

  • IBPM 7.5 uses Stellent's OIVT filter files version 7.7.5.

  • Acorde 4.0 with SP 1 uses Stellent's OIVT filter files version 7.7. (INSO Corporation was purchased by Stellent.)

  • Acorde 3.0 and 3.1 use the INSO Corporation's INSO filter files version 7.5.1 with Stellent patch 100080454 (OEM Support #32976) to render various file formats.

  • Acorde 2.3 uses INSO 7.1.

  • Acorde 2.1 and 2.2 use INSO filter files version 6.1.0, however, Acorde 2.2 includes an INSO patch update.

  • Optika eMedia 1.5.1 and Acorde 2.0 use INSO version 5.2.

As of the 7.6 release, several OIVT filters are deployed by the Viewer Plugin installation. This distribution enables the plugin to render and present the following document types without converting them to EMF format first. This improves performance and image quality for these types of Universal documents. All other file types are converted to EMF by the Export Server prior to display by the Viewer Plugin, even if other filters are installed. The new document types supported by the Viewer Plugin include the following:

CompuServe GIF
JBIG2 graphic embeddings in PDF
Microsoft Excel *
Microsoft Excel Chart *
Microsoft Outlook Mail
Microsoft PowerPoint *
Microsoft Project *
Microsoft Word *
Protable Network Graphics (PNG)
Rich Text Format
Windows Bitmap.

NOTE
* The most recent versions of the Microsoft products are supported, as well as several older versions. However, some of the very early versions are not supported.

When viewing a JPEG image that has been encoded using progressive encoding (versus standard encoding), a large temporary file is created before the image is rendered. After rendering, the temporary file is deleted. Oracle uses Outside In Viewing Technology from CCD to render universal images. CCD in turn uses another third party to render progressive JPEG images. The rendering of progressive JPEG images require the image to be decompressed into a temporary file, which results in a substantially large file.

See the Oracle web site for information about Outside In technology.

Skyline Tools Imaging

Skyline Tools Corporate Suite version 7.0 is used by the Viewer to render TIFF images on the client.

SnapLock

SnapLock OS version 7.0 is supported.

Verisign SSL Certificate

The Web Server and Web Client use Verisign SSL Certificate, a 40 bit certificate using RSA (1024 bits). Oracle Imaging and Process Management runs over HTTPS and all communication between the client browser and the Web Server is encrypted.

Virus Scan

The following Virus Scan software was running during Oracle Imaging and Process Management tests.

  • Symantec AntiVirus 10.1.5.5000

Active scan should be disabled on some areas of the Web Servers. See the Install.doc for specifics.

Miscellaneous Notes

1. When running Windows 2000 the Time Service must be run on all servers. Windows 2000 security is extremely time sensitive. If the time of the servers differs by just a few minutes, the entire system will not function properly.

2. Novell Network file servers are NOT SUPPORTED. The Oracle Imaging and Process Management system middle tier and application services are not designed for use on Novell Netware.

3. The Web Server requires Microsoft IIS 5.0 or 6.0 with Active Server Pages (ASP 1.0+) and Internet Explorer 6.0 SP1 or higher. Secured Sockets Layer (SSL) is supported with IIS 5.0 and 6.0. The IIS Lockdown Tool is supported on Windows 2000 running IIS 5.0 and Windows 2003 running IIS 6.0 if desired.

SSL is not supported for SMTP.

IIS 5.0 and 6.0 do not need to be run in separate memory space. IIS 5.0 and 6.0 manage memory allocation and will adjust due to demand.

Run Web in high pooling with IIS 5.0 and 6.0 to allow the Oracle Imaging and Process Management Web site to be stopped without effecting other Web sites on the Web Server. This is equivalent to running in separate memory space. High pooling will tax a server's resources and could cause other performance problems when a large amount of users are connecting to the Oracle Imaging and Process Management Web site. Oracle recommends that IIS 5.0 and 6.0 be enabled to manage memory allocation (medium pooling) on their own.

4. Microsoft Active Directory Services is supported with Windows 2000. Customers running either in mixed or native mode may take advantage of this security platform. See the Performance note regarding Active Directory Services in the Admin.PDF help file prior to installing MS Active Directory Services.

5. ISA Server 2000 (Firewall proxy) was tested and is supported with Oracle Imaging and Process Management Web Server and Web.

6. Oracle Imaging and Process Management Security supports Windows 2000 security which includes Active Directory Services (ADS). Oracle Imaging and Process Management Security does not provide direct support for LDAP (Lightweight Directory Access Protocol).


Version - Database Platforms

Version Control - Database Platforms

Overview

This page includes the following topics:

  • Customizations of Databases
  • Supported Database Platforms
  • Fixed Records Management 5015.2 Certification
  • Database Versions
  • Audit Scripts
  • Testing Strategy

The databases are critical to the functioning of the product.

NOTE
Oracle strongly recommends that the database server be on a powerful machine with no other servers when running in a production environment. Configurations that do not follow this recommendation may experience unacceptable performance.

CAUTION
Due to the critical nature of the database, a tested backup and restore procedure for the databases should be in place at every installation. Do not make any modifications to the database metadata (Definition) unless it is according to explicit direction of Oracle Customer Support. Placement of underlying database files into multiple tablespaces is at the discretion of the customer's Database Administrator.

The database structures are subject to change without notice. The software described in this help file is furnished under a license agreement or nondisclosure agreement. The software may be used or copied only in accordance with the terms of the agreement.

CAUTION
DO NOT RUN REAL TIME VIRUS SCANS AGAINST DATABASE FILES

Many virus scan programs temporarily lock the file while scanning. This may cause data integrity issues. Do NOT run real time virus scanning against any database files. These files include local cache as well as standard database files (created by SQL Server or Oracle).

Many virus scan tools scan files when they are opened and again when any change is made to the file. Oracle I/PM may be writing to the database files on a continuous basis. A real time scan of database files that is done every time the file is changed could cause major performance problems, unexpected locking and potentially corruption to the database file.

Configure virus scan tools to exclude the database files and or directories from real time, manual and scheduled scans while the database services are running. To verify the database files are not infected, schedule a regular scan of them on a daily basis when the files are not in use.

For example, exclude the .dat, .mdf, .ldf, .ora files or their directories from real time scan configurations. Also exclude all SQL Server directories, Batch Object Storage Path, File Output path, Mag Path and all MS Visual C++ program and database folders.

Customizations of Databases

CAUTION
Customization of Oracle I/PM database definitions is not supported. Do not write data directly into or change data in any tables through any custom program or using any tool, including custom database triggers, custom stored procedures or other programming tools. Making changes of this nature risk corrupting the Oracle I/PM database and damaging all your applications.

Supported Database Platforms

SQL Server must always be installed case insensitive. This applies to the optional SQL Server on Information Broker as well as the backend database server. If the exact database and version is not listed, then it is not supported. For instance SQL Server Personal and Desktop editions are not listed in the table and are not supported.

Backend Database

Backend Database Server | SQL Server 2000 SP4 and Hotfix 2187 | SQL Server 2005 SP2 | Oracle 9i Release 2 | Oracle 10g Release 2 | Oracle 11g
Backend Database Version | 2000.8.00.2187 (1) (3) (4) (6) | 2005.9.00.3042 (1) (3) (4) | 9.2.0.8 (7) | 10.2.0.3 (7) | 11.1.0.6 (7)
The ODBC and OLE DB Driver version information below applies to some I/PM Services and/or applications.
ODBC Driver Some Oracle I/PM services use an ODBC connection and require the ODBC driver. | 2000.85.1128 2000.86.3959 (5). | 2000.85.1128 2000.86.3959 (5). | 10.2.0.3 (7) | 10.2.0.3 (7) | 10.2.0.3 (7)
OLE DB Provider Information Broker Service requires both ODBC Driver above and OLE DB Provider. | Microsoft OLE DB Provider for SQL 2000.85.1128 2000.86.3959 (5). | SQL Native Client 2005.90.3042 | Oracle Provider for OLE DB 10.2.0.2.20 (7) | Oracle Provider for OLE DB 10.2.0.2.20 (7) | Oracle Provider for OLE DB 10.2.0.2.20 (7)

Local Query Processor on Information Broker

As of Oracle I/PM 7.7, installing Microsoft SQL Server (MS SQL) as a query processor on the Information Broker is optional.

This table applies to the database supported for the local query processor on the Information Broker. Refer to the OLE DB Provider column for supported OLE DB Provider versions on the Information Broker. If the backend database is Oracle, Oracle 10g Release 2 client bits must be installed on the Information Broker.

OLE DB Provider Version on Information Broker | SQL Server Database Version for the Local Query Processor on the Information broker | ODBC Drivers | Backend Database (See the list above for required Service Packs and Hotfixes)
MS SQL 2000 Use MS OLE DB Provider for SQL version 2000.85.1128 If using Win 2003 see (5). | SQL Server 2000 with SP 4 and Hotfix 2187 v.2000.8.00.2187 (1) (2) (3) (6) | The minimum version of ODBC driver is 2000.85.1128. If using Win 2003 see (5). | SQL 2000
MS SQL 2005 Use SQL Native Client OLE DB Provider version 2005.90.3042 | SQL Server 2005 with SP 2 v. 2005.9.00.3042 (1) (2) (3) | The minimum version of ODBC driver is 2000.85.1128. SQL Native Client ODBC driver is not supported. If using Win 2003 see (5). | SQL 2005

Footnotes to Database Tables

1. SQL Server

A. SQL Server must always be installed case insensitive.

B. SQL Server 2000 with Hotfix 2187

HotFix 2187 is required.

Microsoft SQL Server 2000 (MS SQL 2000) with Service Pack 4 and Hotfix 2187 (KB 916287 found at http://support.microsoft.com/KB/916287/en-us), must be installed on every Information Broker machine if advanced searching features are needed. The Information Brokers uses MS SQL 2000 to implement the advanced internal searching capabilities. Verify Microsoft SQL Server 2000 - 8.00.2187 is displayed when Select @@Version is run using Query Analyzer.

C. SQL Server 2005 with Service Pack 2

SQL Server 2005 with Service Pack 2 is supported as the backend database and as an optional Query Processor. Verify Microsoft SQL Server 2005 - 9.00.3042 is displayed when select @@version query is run using query analyzer.

2. SQL Server on Information Broker

A. Memory Usage

This note is regarding the optional use of SQL Server on the Information Broker, not the backend database server.

SQL Server by default uses all available machine memory for processing. To provide adequate user response time, after installation, reduce the amount of memory SQL Server will use to 3/4 the available memory. The amount of memory that is made available to SQL Server will depend on what else that particular machine is used for. 50% of the memory is a recommended starting configuration, depending on how much memory is on the machine. Monitor the performance of the tasks running on this machine and change the memory allocation accordingly. Perform the following steps on Information Broker to change the amount of memory available to SQL Server:

  • Ensure SQL Server is running

  • Start SQL Server Enterprise Manager

  • Open up on the left-hand pane the Microsoft SQL Servers and SQL Server Group

  • Right-click local machine SQL Server, and select Properties

  • Click on the Memory tab

  • Click on "Use fixed memory size" and move the slider bar halfway to the right

  • Click on Apply and OK

  • Stop and restart the local SQL server (the machine may need to be rebooted).

B. SQL Server does not support Named Pipes

When configuring the MS SQL Server Query Processor on the Information Broker there is an option to specify Named Pipes in the client connection. This Named Pipes option is not supported due to significant performance issues. Configure your SQL Server client network connection for TCP/IP only.

3. SQL Server NT Authentication on Information Broker and Backend Databases

NT Authentication is not supported for SQL Server for Information Broker and backend SQL Server databases. The operations of Information Broker, Process Broker, Declaration Server, Audit Server and Filer require SQL Server authentication when connecting to the Oracle I/PM Servers and to the backend database.

4. Full-Text Server

Full-Text Server requires Microsoft SQL Server 2000 Standard Edition (MSSQL) Service Pack 4 and Hotfix 2187 or SQL Server 2005 with Service Pack 2. Microsoft Search (MSSEARCH) must also be installed with MSSQL. The MSSEARCH option is part of the default installation of MSSQL.

NOTE
Full-Text cannot exist within the same database as Imaging. Full-Text Server requires a minimum of two (2) database connections: One ‘server-side’ and one ‘client-side’.

The Full-Text database’s disk resources may be quite large. Separating the databases allows administrators to manage their resources more efficiently. After a new database is created, a full-text catalog must be created within it. It is recommended that a user login, other than the system administrator, be created as the default database owner. The user must have privileges to create and drop tables.

5. MDAC and Windows 2003 with SP 2

Windows 2003 SP 2 and MDAC 2.8 SP 1

Windows 2003 with Service Pack 2 installs MDAC 2.8 SP 1. The SQLOLEDB OLE DB Provider version on Windows 2003 is 2000.86.3959. The MDAC version that comes with Windows 2003 with Service Pack 2 is 2.82.3959 and SQL Server ODBC driver version is 2000.86.3959. This combination is supported.

Refer to the Third Party & Misc Notes section for supported versions of MDAC.

6. SQL 2000 with SP4, Linked Servers on a 64 bit Machine

When running SQL 2000 with SP4 and Linked Servers on a 64 bit machine a hotfix may be required. See the following web site for additional information about this.

http://support.microsoft.com/default.aspx?scid=kb;en-us;913684

Error messages that may indicate this problem include the following:

  • SWL Server Assertion File : <logrec.cpp>,Line=501 Failed Assertion = 'FALSE' Invalid switch value

  • Access Violation in sqlservr!(commondelete()

  • Access Violationin sqloledb!memcpy()

Other symptoms may include the following:

  • SQL Server 2000 may unexpectedly close.

  • Access violation error messages may be returned.

  • Assertion Failed! may appear in the error log.

7. Oracle Considerations

A. Oracle DBA Privileges

The Oracle user specified in the Oracle ODBC data source for Imaging must not have DBA privileges. When an Oracle user with DBA privileges is used, it causes IBPM tables from other usernames within the same service name to be detected. This can cause many errors from accidental DBINIT of another user's database to SQL errors.

B. Oracle 9.2, Oracle 10.2 or Oracle 11

When using Oracle, installation of the Oracle 10g Release 2 Client 10.2.0.1.0 is required on the Information Broker. Contact Oracle Support for the following Patch Sets:

  • Oracle 10g Release 2 Patch Set 2 version 10.2.0.3.0

  • Oracle Data Access Components (ODAC) Release 10.2.0.2.20.

The Oracle Provider for OLE DB is version 10.2.0.2.20.

The Oracle ODBC Driver version is 10.2.0.3.

Refer to the Oracle Client Upgrade section for steps on how to install the Oracle 10g Release 2 Client and patch sets.

C. The Oracle OLEDB PROVIDER is supported.

It is mandatory that there be ONLY ONE version of Oracle Client installed on the Information Broker machine. Multiple installations cause problems with the OLEDB connection.

Customers must upgrade from a 9.2 Oracle Client to a 10.2 Oracle client. Refer to the Oracle Client Upgrade section for steps to upgrade to 10g Release 2 Client from 9i Release 2 Client.

D. Oracle and Force SQL_WCHAR Support

When an Oracle ODBC Driver is configured with the workaround options "Force SQL_WCHAR Support" checked an error will be returned. The error is: ORA-01722 Invalid number. Do not check this option for Imaging.

E. Large Oracle Database

When several hundred thousand rows exist in the ALL_OBJECTS system table on an Oracle database the Information Broker may time out or search performance may be reduced. Oracle recommends that the Oracle I/PM schemas be in their own instance when a large number of rows exist.

F. Use of ONames can cause performance and disconnect issues.

Significant performance and disconnect issues have been seen at sites where Oracle ONames is used to route the client to the backend Oracle Server. In such cases, setting names.directory_path to tnsnames in sqlnet.ora has resolved these issues.

Oracle recommends that ONames not be used since these solutions may not be feasible for all customers.

Acorde Records Management 5015.2 Certification

Acorde Records Management 4.0 is certified with Microsoft SQL Server 2000 and Oracle 9i Release 2.

Records Management (RM) is no longer configurable in a new installation as of Oracle I/PM 7.7. RM is only supported on upgraded systems. FRM customers must upgrade to 7.6 SP 2 before upgrading to Oracle I/PM 7.7 or later.

Oracle I/PM Database Versions

The version of the Oracle I/PM database is aligned with the version of Oracle I/PM software installed. The database version is displayed in the Service Configuration and is used to identify which SQL script can be used to upgrade and install new versions.

The following upgrades are supported for Oracle I/PM 7.7.

  • IBPM 7.6 with SP 2 to Oracle I/PM 7.7
  • IBPM 7.5 to Oracle I/PM 7.7

  • Acorde 4.0 with SP 3 to Oracle I/PM 7.7

New installations use the script Database Version 22.

  • If upgrading an Oracle installation, run the DBINIT Script OR08UPCV.sql through GenCfg using the Information Broker Database Wizard.
  • If upgrading an MS SQL Server installation, run the DBINIT Script MS07UPCV.sql through GenCfg using the Information Broker Database Wizard.

Database Version 18 was Acorde 4.0 and 4.0 with SP 1 or SP 2 or SP 3.
Database Version 19 was IBPM 7.5 CR.
Database Version 20 was IBPM 7.5.
Database Version 21 is IBPM 7.6 and 7.6 with SP 1 and 7.6 with SP 2.
Database Version 22 is Oracle I/PM 7.7.

Audit Scripts

The General Services Configuration (GenCfg) runs audit scripts when the Create Tables button is selected. These scripts do not need to be run manually, they will be run automatically after connecting to the database.

New Installations | Third Party Database Version | Audit Script Name
Oracle I/PM 7.7 Audit Server | Oracle 9.2 and 10g | ORAudit01.sql
 | MS SQL 2000 and MS SQL 2005 | MSAudit01.sql

Database Testing Strategy

We are following the industry trends and test one database version/OS/OLEDB driver platform combination. We support that database version and OLEDB driver across all other database vendor supported platforms.

As of this time, no differences have been found in regards to the OS platform the database is using in our testing or in testing executed by other software companies we polled.

All of the code used to communicate with the database is ODBC compliant, which means that the ODBC driver is more critical than the database platform. The version of the ODBC driver is specified that must be used for servers communicating with the database (i.e., Audit, Filer, Document Index Server, Information Broker, Storage Server, System Manager and Process Broker).

Please reference the database matrix for information on the ODBC driver version required for these databases.


Version - Database Platforms, Oracle Client Upgrade

Version Control - Database Platforms, Oracle Client Upgrade

This topic describes the steps to uninstall Oracle 9i client and upgrade to Oracle 10g Release 2 client. The Oracle 10g Release 2 client must be installed on the Information Broker machine and any other Oracle I/PM servers that require an ODBC connection to the Oracle database.

When installing a 10g R2 client on a system that has a previously installed 9i client, the old client must be completely un-installed before proceeding to install the new client.

Follow these steps to completely remove the 9i client.

  1. Delete the old Data Source created using the Oracle9i ODBC driver.
  2. Use the Universal Installer to Remove all installed Oracle 9i Release 2 client components.
  3. Delete the Oracle9i install directory. (i.e. c:\Program Files\Oracle)
  4. Reboot the machine.
  5. Delete the Oracle 9i home directory. (ie. c:\Oracle\ora90)
  6. Delete the Oracle 9i registry under HKEY_LOCALMACHINE\Software\Oracle.

Follow these steps to install the Oracle 10g Release 2 client.

  1. Install the Oracle 10g Release 2 (10.2.0.1) client. Select either the Administrator or Custom installation type. If using Custom, be sure to select the Oracle Provider for OLE DB and Oracle ODBC Driver installations.
  2. Install the Oracle Database 10g Release 2 patch Set 2 (10.2.0.3.0). This install upgrades the Oracle 10g client and Oracle ODBC Driver to 10.2.0.3.0. During the install, verify that the previous 10g home directory is selected.
  3. Install Oracle Data Access Components (ODAC) Release 10.2.0.2.20. This install upgrades the Oracle Provider for OLE DB to 10.2.0.2.20. During the install, verify that the previous 10g home directory is selected.
  4. Install Oracle Bug 5699495 patch for Oracle ODBC Driver 10.2.0.3. Refer to Metalink ID 403021.1 for more information about this issue. This patch resolves an issue when configuring Oracle 10g Release 2 ODBC Data Source. SQORAS32 - An unsupported operation was attempted error is returned every time you perform an action in the Microsoft ODBC Administrator tool.
  5. Create the Oracle 10g ODBC Driver Data Source to point to the Oracle backend database.
  6. Verify new Data Sources are configured on the Oracle I/PM system using GenCfg.exe.

After the above installation, the Oracle Provider for OLE DB is version 10.2.0.2.20 and the Oracle ODBC Driver version is 10.2.0.3.0.


Version - Internet Software

Version Control - Internet Browsers

This table shows the Internet Browsers that have been Tested (T) and those that are Supported (S).

CAUTION
Browsers that are not listed are not supported.

Oracle I/PM Components | MS IE 5.5 SP 2 | MS IE 6.0 | MS IE 6.0 XP SP 2 | MS IE 6.0 SP 1 | MS IE 7.0
Windows client | NT / NS | NT / S | T / S | T / S | T / S
Servers | NT / NS | NT / S | T / S | T / S | T / S
Web Client | NT / NS | NT / S | T / S | T / S | T / S
Web Express Client (4) | NT / NS | NT / S | T / S | T / S | T / S
Web Server | NT / NS | NT / NS | T / S | T / S | T / S

1. Microsoft Internet Explorer 5.01 SP 4 and earlier are NOT SUPPORTED.

2. Netscape is not supported as of IBPM 7.5.

3. MS IIS Lockdown Tool is supported with IIS 5.0 and IIS 6.0.

4. The Web Express Client was designed to work on a wide range of browsers. A number of different browsers were tested, including Mozilla on a Linux Red Hat system, Windows 2003 Pocket PC Device and Firefox 1.5 on a Windows 2000 system. However, the Web Express Client will likely work on many more browsers. Please call Customer Support for information about a specific browser.

CAUTION
The Plugin Viewer was tested and is supported with IE 6.0 and 7.0. It is not supported on other platforms.


Version - Japanese Release

Version Control - Japanese

This page includes information about supported or tested platforms for the Oracle I/PM Japanese environment.

The Japanese version of .NET Framework 2.0 must be installed prior to running the Oracle I/PM installations.

Operating Systems

These tables reflect the various operating systems that have been tested or are supported by the various parts of Oracle I/PM. If the operating system is not listed, it is not supported or tested.

Clients

 | JPN Win 2000 Prof. with SP 4 | JPN Win XP Prof with SP 2 | JPN Win Vista
Windows Client | NT / S | T / S | NT / S
Web Client | NT / S | T / S | NT / S
Context, Process and Viewer Toolkit Client | NT / S | T / S | NT / S

Services

 | JPN Win 2000 Server and Adv Server with SP 4 | JPN Win 2003 Server Standard Edition with SP 2 | JPN Win 2003 Server R2 Standard Edition with SP 2
Servers | NT / S | T / S | T / S
Process Administration Tools (1) | NT / S | T / S | T / S
Web Server (2) | NT / S | T / S | T / S

1. Process Administrative Tools include the Process Builder and Process Monitor.

2. Windows 2000 Server requires IIS Version 5.0.

Internet Browsers

 | MS IE 5.5 SP 2 | MS IE 6.0 | MS IE 6.0 SP1 | MS IE 7.0
Windows client | NT / NS | NT / S | NT / S | T / S
Servers | NT / NS | NT / S | NT / S | T / S
Web Client | NT / NS | NT / S | NT / S | T / S
Web Server | NT / NS | NT / NS | NT / S | T / S

1. Microsoft Internet Explorer 5.5 SP2 and earlier are NOT SUPPORTED. Netscape is not supported. Other browsers that are not listed are also not supported.

Database Platforms

This table includes information about supported database versions.

1. Database Information

See the Database topic in this file for additional notes about supported database versions. As of Oracle I/PM 7.7, Oracle 10g R2 is now a tested and supported database vendor in the Japanese release.

2. Japanese Oracle Client Upgrade

See the Oracle Client Upgrade topic in this file for additional notes about how to install/upgrade to Oracle 10g R2 client.

CAUTION
On a Japanese operating system, DO NOT install Oracle Bug 5699495 patch.

Install Oracle Bug 5837345 patch for Oracle ODBC Driver 10.2.0.3. Refer to Metalink ID 435737.1 for more information about this issue.

This patch resolves an issue when configuring Oracle 10g Release 2 ODBC Data Source. An unsupported operation was attempted creating a DSN - Japanese OS.

Database Versions

The version of the Oracle I/PM database is aligned with the version of Oracle I/PM software installed. The database version is displayed in the Service Configuration and is used to identify which SQL script can be used to perform a new install.

The following upgrade is supported for Oracle I/PM 7.7 Japanese.

  • IBPM 7.6 SP 2 Japanese to Oracle I/PM 7.7 Japanese

Please use the DBINIT script MS07UPCV.SQL to upgrade the MS SQL Server. The database version is 21 for IBPM 7.6 and 22 for Oracle I/PM 7.7.

Database Testing Strategy

Industry trends are being followed and one database version/OS platform combination is tested. That database version is then supported across all other database vendor supported platforms.

As of this time, no differences have been found in regards to the OS platform the database is using in our testing or in testing executed by other software companies we polled.

All of the code used to communicate with the database is ODBC compliant, which means that the ODBC driver is more critical than the database platform. The version is specified of the ODBC driver that must be used for servers communicating with the database (i.e., Information Broker and Process Broker).

Please reference the database matrix for information on the ODBC driver version required for these databases.

Development Environments

The following table indicates supported development environments.

 | MS VB 6.0 SP 6 | MS VC++ 6.0 SP 6 | MS VB .NET 2005 | MS C# .NET 2005
Context Toolkit Client | S / NT | S / NT | S / T | S / NT
Process Toolkit Client | S / T | S / NT | S / T | S / NT
Creating OLE Forms in Process | NS/NT | NS/NT | S / T | S/T
Viewer Toolkit Client | S / NT | S / NT | S / T | S / NT
Web SDK Toolkit Client | S / NT | S / NT | S / NT | S / T

Crystal Reports version 11.5 is supported for Process.

Backend Mail Servers

All of the I/PM mechanisms that generate and send email require that Outlook be installed. The only backend that has been tested is Exchange.

 | Email/MAPI Server | MAPI Client | SMTP Server (1)
MS Exchange 2003 SP2 (English) | T / S | T / S | T / S

1. Any SMTP compliant mail application will work with SMTP scripts. However, MS Exchange 2003 (English) is the only version that has been tested.

MAPI Client

When sending mail marked as MAPI client, email is typically sent via Outlook which uses the current user's Outlook profile. If the script is executed on the client, the settings of the user will be used. If the script is executed from the Process Broker, the settings of the user under which Process Broker is executed, will be used instead. If the Process Broker Execution Tier is used, the Process Broker must be running in DIAG mode.

The following applications were tested on the I/PM MAPI Client.

  • Microsoft Outlook 2007 Japanese Language Pack
  • Outlook Express 6.0

Email Server

Mail Server was tested with following mail application.

  • Microsoft Outlook 2007 Japanese Language Pack

Snaplock Support

Ontap Simulator Version Used for Testing

NetApp Release 7.2.2: Sat Mar 24:42:35 PDT 2007

Snaplock Volume Options

raid4
trad
no_atime_update=on,
create_ucode=on,
convert_ucode=on,
snaplock_compliance

Volume Languages

ja (Japanese euc-j*)
ja_v1 (Japanese euc-j)
ja_JP.PCK (Japanese PCK(sjis)*)
ja_JP.932 (Japanese cp932*)
ja_JP.PCK_v2 (Japanese PCK(sjis))

Other Applications

  • Microsoft Office 2007 Japanese Language Pack

Hardware and Networks

See the Version Control Networks and Hardware topics for information about supported networks and hardware.

I/PM 7.7 Japanese release does not support the following items:

1. Office Integration

2. Records Management

3. Computer Output to Laser Disc (COLD) functionality, including COLD SQL

4. Full-Text and OCR

5. Resolve

6. Definition Editor

7. Application Link

8. Capture

10. Install Shield's Install Wizard will be in English

11. The I/PM MMC Snap-In is translated, however, some of the information in these tools remains in English to facilitate debugging and monitoring of system recognizable information.

12. Field Masking is not supported in the client tool for the Japanese release.

13. Some log file messages that are included for informational purposes will be in English.

14. Web Clustering

15. Content Server Action Modules

16. Page Manager

Please see the Limitations topic in this file for information about limitations regarding characters other than A-Z, a-z and 0-9.


Version - Mail

Version Control - Mail Support

Backend Mail Servers

CAUTION
For the Oracle Imaging and Process Management mechanisms that generate and send email that require Outlook be installed, the only backend that has been tested is Exchange.

 | Email/MAPI Server | MAPI Client | SMTP Server (1)
MS Exchange 2000 SP 3 | T / S | T / S | T / S
MS Exchange 2003 SP 2 | T / S | T / S | T / S
MS Exchange 2007 | T / S | T / S | T / S

1. Any SMTP compliant mail application will work with SMTP scripts. However, only MS Exchange has been tested.

2. When running FixedRM Email plugin, the plugin must be installed on Microsoft Outlook 2002. Microsoft Outlook 2000 is not supported. Fixed RM is only supported with 7.7 for upgrades. Fixed RM is not supported for new installations of 7.7.

MAPI Client

When sending mail marked as MAPI client, email is typically sent via Outlook which uses the current user's Outlook profile.

NOTE
If the action is executed on the client, the settings of the user will be used. If the action is executed from the Process Broker, the settings of the user under which Process Broker is executed, will be used instead. If the Process Broker Execution Tier is used, the Process Broker must be running in DIAG mode.

FRM Email Integration with Outlook

FRM is only supported with Oracle Imaging and Process Management for upgrades. FRM is not supported for new installations of Oracle Imaging and Process Management 7.7. The FRM email integration with Microsoft Outlook is supported only on newer versions of Microsoft Office suite. The following versions are tested and supported.

  • Microsoft Outlook XP SP 3
  • Microsoft Outlook 2003 SP 2

Email Server

This only applies to the legacy mapiserver.exe. Email Servers, for Process Actions and Create Packages based on incoming email options in GenCfg.exe, are only supported with the following applications.

  • Microsoft Outlook 2000 SP 3
  • Microsoft Outlook XP SP 3
  • Microsoft Outlook 2003 SP 2
  • Microsoft Outlook 2007


Version - Microsoft Office

Version Control - Office

The Oracle Imaging and Process Management Office integration supports the following:

  • MS Office 2007
  • MS Office 2003 SP 2
  • MS Office XP SP3
  • MS Office 2000 SP3

These versions have been tested and are supported for the Office Integration as well as functions such as Export to Excel and Process DDE Actions.


Version - Operating Systems

Version Control - Operating System Platforms

Topics on this page include supported Operating System Platforms for Oracle Imaging and Process Management Clients and Services. See the Miscellaneous Notes section in the Third Party topic for specific comments about different configuration options.

CAUTION
Upgrading to Windows 2003 results in some SCSI level options being reset. These SCSI options must be reset after upgrading to Windows 2003 for the proper operation of optical hardware. Oracle recommends this functionality be disabled for Windows 2000, Windows 2003 and after upgrades to Windows 2003.
The options effected by the upgrade are those that Oracle previously identified as causing conflicts between Windows 2000 and the ASPI layer when Oracle Imaging and Process Management sends commands to jukeboxes to control drives and picker arms.

The tables on this page reflect the various operating systems that have been tested or are supported by the various parts of Oracle Imaging and Process Management. If the operating system is not listed, it is not supported or tested. For example, the following operating systems are NOT SUPPORTED and so do not appear in the tables.

  • OS / 2

  • Windows 95

  • Windows 98

  • Windows ME

  • Windows NT

  • Windows XP Home Edition

Entries in each table reflect T = Tested, NT = Not Tested, S = Supported, NA = Not Applicable and NS = Not Supported. Foot notes may be included for each table, indicated by (#).

Clients

 | Windows Client (3) | Web Client (1) (2) | Web Express Client (1) (2) | Imaging, Process, Viewer Toolkit Client
Win 2000 Prof. SP 4 | T / S | T / S | T / S | T / S
Win XP SP 2 | T / S | T / S | T / S | T / S
Win Vista (6) | T / S | T / S | T / S | T / S
Macintosh 10.x with Safari or Firefox | NT / NS | NT / NS | T / S | NT / NS

1. As of 7.6 Web no longer requires that a Java Virtual Machine be installed on all Web clients.

2. See the Version Control topic for Internet Browsers for a list of supported browsers for the Web Client.

3. VM WARE Workstation Version 5.5.3 build 34685 is supported.

4. CITRIX

Citrix Presentation Server (32 bit) versions 4.0 and 4.5 are supported and tested on Windows 2003 Server Service Pack 2. Citrix ICA 32-bit Windows Client - 10.0.52110.0 is the thin client used to access our client that is installed on the Citrix Server.

The Citrix ICA 32-bit Windows Client version 10.0.52110.0 can be installed on Microsoft Windows Vista, XP SP2 and 2000 Professional SP4 operating systems. The Citrix ICA client is necessary for accessing the Oracle I/PM application published on the Citrix Presentation Server.

Windows Server Standard Edition with Windows Server 2003 Terminal Services is where the Oracle Imaging and Process Management client is installed. The Remote Desktop Connection (RDC) is the thin client used to access our client that is installed on the Terminal Services server.

5. .NET Framework
NOTE
The .NET framework installation is automatically installed with the standard Oracle Imaging and Process Management Windows client install, BPM Administrative Tools, the IBPM Web and FRM Web Servers. This release was tested using .NET Framework 2.0.50727.

6. Vista Annotation Security
When an annotation is saved as an XPS file and Windows Vista is the Operating System, black redactions may not perform as expected. When a universal document with a black redaction is printed to the MS XPS Document Writer and then the saved document is opened, the text behind the redaction will become visible if the redaction is highlighted. To minimize the impact of this, the XPS Document Writer is disabled by default . Manually enable this printer if security for black redaction is not an issue in this environment.

See the Admin.pdf help file for information about a client registry key that may be configured to change this feature from the default setting.

7. The 16 bit components, such as Definition Editor and Filer Server, are not supported under Windows 2003 64 Bit Edition.

Services

 | Servers | Process Administration Tools (1 ) | Web Server
Win 2000 Prof. SP 4 | NT / NS | T / S | NT / NS
Win 2000 Server SP 4 | T / S | T / S | T / S (2)
Win 2000 Adv Server SP 4 | NT / S | NT / S | NT / S (2)
Windows 2003 Server Standard Edition and Enterprise Edition SP 2 (5) | T / S (4) (6) (7) | T / S | T / S (2)
Win 2003 Server Standard Edition SP 2 64 Bit Edition (9) (10) | T / S (4) (6) (7) (8) | T / S | T / S (2)
Win 2003 Server R2 Standard Edition SP 2 64 Bit Edition (9) (10) | T / S (4) (6) (7) (8) | T / S | T / S (2)
Win XP Prof. 5.1.2600 SP 2 | NT / NS | T / S | NT / NS

1. Process Administrative Tools include the Process Builder and Process Monitor. Process Builder is not supported in the CITRIX environment.

2. Windows 2003 Server was tested with SP 2 for the Web Server. Windows 2003 Server requires IIS Version 6.0. Windows 2000 Server requires IIS Version 5.0. Windows 2000 Server was tested with SP 4.

3. This release was tested using .NET Framework 2.0.

4. The increase quotas right is not available with Windows 2003 Server. This right is normally set in Local Security Policy | Local Policies | User Right Assignment.

5. This release was tested with VM Ware Workstation 5.5.3 build 34685 and Windows 2003 SP 2 Standard Edition running Oracle I/PM Services within VM.

6. An error could result when Filer is run in Service mode.

CAUTION
Under Windows 2003, if an input file is provided to Filer, running in Service mode, that uses a mapped drive where the drive is not available to Filer, an error will result. One solution is to have a pre-processor re-map the drive before the application is filed.

7. If a server is installed in a Windows 2003 SP 1 or later environment, manually set the following registry key on the machine.

SYNATTACKPROTECT
This key must be manually set to zero for servers that are installed in a Windows 2003 SP 1 and later environment. When this key is not set, login and logout User Connection Manager and general TCP/IP session issues may be experienced. This is a DWORD value that must be set to zero.

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters
"SynAttackProtect"=dword:00000000

8. The 16 bit components, such as Definition Editor and Filer Server, are not supported under Windows 2003 64 Bit Edition.

9. The OCR Server is supported on 64 bit Windows 2003 using the Software license key installation. A hardware license key/dongle will not work on 64 bit Windows 2003 because the iKey driver will not install correctly in this environment. If you have a dongle, you can register it as a software key through EngineLicenseManager on the OCR server.

10. Data Sources on 32 and 64 bit systems are accessed using different registry keys. 64 bit Data Sources are stored in Software\ODBC while 32 bit Data Sources are stored in Software\Wow6432Node\ODBC. On a 64 bit system, create and edit 32 bit Data Sources by running ODBCad32.exe from \windows\syswow64 instead of running it from windows\system32.